This file is closed! Please use HISTORY.txt

2005-03-07 21:07  tiran

	* tests/test_installation.py: upps ... forgot to add self

2005-03-07 20:51  tiran

	* ATCTTool.py, __init__.py, interfaces.py, Extensions/Install.py,
	  Extensions/toolbox.py, docs/HISTORY.txt, ftests/test_atfolder.py,
	  migration/ATCTMigrator.py, tests/atcttestcase.py,
	  tests/test_atdocument.py, tests/test_atevent.py,
	  tests/test_atfavorite.py, tests/test_atfile.py,
	  tests/test_atfolder.py, tests/test_atimage.py,
	  tests/test_atlink.py, tests/test_atnewsitem.py,
	  tests/test_installation.py, tests/test_tool.py,
	  types/ATContentType.py, types/ATDocument.py, types/ATEvent.py,
	  types/ATFavorite.py, types/ATFile.py, types/ATFolder.py,
	  types/ATImage.py, types/ATLink.py, types/ATNewsItem.py,
	  types/ATTopic.py, types/schemata.py: * added translate tab when
	  LP is installed * added integration tests for LP * fixed
	  migration tests, now it's using self.folder for everything *
	  added some more tests like installation tests and ITranslateable
	  tests

2005-03-07 16:13  tiran

	* docs/HISTORY.txt, types/ATImage.py, types/ATNewsItem.py: added
	  mini scale with 200x200 as limi requested

2005-03-07 16:08  tiran

	* config.py, migration/Migrator.py, migration/common.py,
	  tests/atcttestcase.py, tests/test_constraintypes.py,
	  tests/test_tool.py, tests/utils.py, types/ATContentType.py: Added
	  unrestricted rename method to ship arond some issues while
	  migrating a  site FakeRequestSession must not be empty because of
	  some stupid tests in AT Some more portal name fixes

2005-03-06 21:48  tiran

	* config.py, Extensions/toolbox.py, ftests/test_atfolder.py,
	  tests/atcttestcase.py, tests/test_constraintypes.py,
	  types/ATContentType.py: made some changes to make ATCT 1.0
	  compatible with Plone 2.1 + atct branch Added USE_AT_PREFIX flag
	  for debugging and migration testing"

2005-03-06 18:50  tiran

	* ftests/test_atdocument.py, ftests/test_atnewsitem.py,
	  tests/atcttestcase.py: better debug output using error log

2005-03-06 18:18  tiran

	* ftests/test_atdocument.py, ftests/test_atevent.py,
	  ftests/test_atfile.py, ftests/test_atfolder.py,
	  ftests/test_atimage.py, ftests/test_atnewsitem.py,
	  tests/atcttestcase.py: more integration tests for templates

2005-03-06 17:32  tiran

	* tests/: atcttestcase.py, utils.py: Because the session setup of
	  ZTC didn't work well for me (python freezes after 6 tests
	  reproceable) I made up my own dummy session manager. It was a
	  little bit tricky to find the place where SESSION was added to
	  REQUEST but finally I found the traverse hook

2005-03-06 15:40  tiran

	* configuration/.cvsignore, docs/HISTORY.txt, ftests/.cvsignore,
	  ftests/__init__.py, ftests/framework.py, ftests/runalltests.py,
	  ftests/runtests.sh.example, ftests/test_atdocument.py,
	  ftests/test_atevent.py, ftests/test_atfavorite.py,
	  ftests/test_atfile.py, ftests/test_atfolder.py,
	  ftests/test_atimage.py, ftests/test_atlink.py,
	  ftests/test_atnewsitem.py, tests/atcttestcase.py,
	  tests/test_atdocument.py, tests/test_atevent.py,
	  tests/test_atfile.py: Added integration tests for view and edit
	  templates.

2005-03-06 03:54  tiran

	* CalendarSupport.py, docs/HISTORY.txt, tests/ATCTSiteTestCase.py,
	  tests/atcttestcase.py, tests/common.py, tests/testATDocument.py,
	  tests/testATEvent.py, tests/testATFavorite.py,
	  tests/testATFile.py, tests/testATFolder.py, tests/testATImage.py,
	  tests/testATLink.py, tests/testATNewsItem.py,
	  tests/testContrainTypes.py, tests/test_atdocument.py,
	  tests/test_atevent.py, tests/test_atfavorite.py,
	  tests/test_atfile.py, tests/test_atfolder.py,
	  tests/test_atimage.py, tests/test_atlink.py,
	  tests/test_atnewsitem.py, tests/test_constraintypes.py,
	  tests/test_tool.py, tests/utils.py, types/ATEvent.py,
	  types/schemata.py:  I made major changes to the unit test suite.
	  Also I've added more field
	   tests, some important interface tests and cleaner and better
	  base classes
	   for tests.

2005-03-06 02:41  tiran

	* types/ATFile.py: Added missing imports

2005-03-05 21:15  tiran

	* __pkginfo__.py, version.txt, docs/HISTORY.txt: preparing
	  0.2.0-final release for Plone 2.1 alpha

2005-03-05 21:09  tiran

	* __init__.py, config.py, types/ATDocument.py,
	  skins/ATContentTypes/criterion_edit_form.cpt.metadata: fixed an
	  problem with the initial mimetype of a newly created document

2005-03-05 15:44  tiran

	* docs/HISTORY.txt, types/ATFolder.py: Moved jensens changes to the
	  branch where development takes place

2005-03-05 11:32  yenzenz

	* types/ATFolder.py, docs/HISTORY.txt: ATFolder uses now /view to
	  get its view, not folder_listing. This is needed for
	  TemplateMixin.

2005-03-04 21:01  tiran

	* types/: ATDocument.py, ATEvent.py, ATFavorite.py, ATFile.py,
	  ATFolder.py, ATImage.py, ATLink.py, ATNewsItem.py, ATTopic.py:
	  fixed missing imports

2005-03-04 19:51  tiran

	* ConstrainTypesMixin.py, config.py, docs/HISTORY.txt,
	  tests/testContrainTypes.py, types/ATContentType.py,
	  types/ATFolder.py, types/ATImage.py, types/ATNewsItem.py,
	  types/schemata.py:  * Changed the way ConstrainTypes gets mixed
	  in: Now ATCT is always subclassing
	     folders from the ConstrainTypes class and the schema is always
	  in the folder
	     schema. Before this change ppl couldn't rely on the api. When
	  the feature
	     is disabled the fields are not shown in the schema and the
	  overwritten
	     methods are using a "shortcut" to the default methods.

	   * Renamed some methods in the constrain mixin to start with _ct_
	  for a clean
	     name space.

	   * Added a tag methods to NewsItem for its image. Also changed
	  the caption from
	     TextField to StringField since it should contain only a small
	  sentence or
	     similar. The caption is applied as title to the news item
	  image.

	   * When running unit tests all features like constrain mixin and
	  template
	     mixin are forced to be enabled in order to keep the tests sane
	  and to test
	     all features under all circumstances

2005-03-04 16:22  tiran

	* ATCTTool.py, config.py, tests/test_tool.py: The id of the tool
	  should be in one single place

2005-03-04 15:54  tiran

	* CalendarSupport.py, HistoryAware.py, Validators.py, __init__.py,
	  content.py, tool.gif, Extensions/Install.py, docs/HISTORY.txt,
	  tests/ATCTSiteTestCase.py, types/ATContentType.py,
	  types/ATDocument.py, types/ATEvent.py, types/ATFavorite.py,
	  types/ATFile.py, types/ATFolder.py, types/ATImage.py,
	  types/ATLink.py, types/ATNewsItem.py, types/ATTopic.py,
	  types/schemata.py, types/criteria/ATBaseCriterion.py,
	  types/criteria/ATDateCriteria.py,
	  types/criteria/ATListCriterion.py,
	  types/criteria/ATPortalTypeCriterion.py,
	  types/criteria/ATSimpleIntCriterion.py,
	  types/criteria/ATSimpleStringCriterion.py,
	  types/criteria/ATSortCriterion.py, types/criteria/__init__.py,
	  types/criteria/schemata.py:  * Dismembered the big beast
	  schemata.py in types/ and types/criteria. The
	     schemata are in the same modules as the types.

	   * Added content module which contains all important classes.

	   * Replaced all "from foo import *" by explicit imports.

2005-03-04 01:50  alecacct

	* ATCTTool.py, ConstrainTypesMixin.py, __init__.py,
	  Extensions/Install.py, tests/ATCTSiteTestCase.py,
	  tests/test_tool.py, types/ATTopic.py, types/schemata.py: Another
	  few updates from 1.0 and a fix so that there aren't two
	  toolInits.

2005-03-04 00:25  tiran

	* tests/ATCTSiteTestCase.py, types/ATTopic.py, types/schemata.py:
	  Merged enders changes to file/image description and helges topic
	  enhancement from the trunk to this branch

2005-03-04 00:05  tiran

	* ATCTTool.py, tests/test_tool.py: get portal types by metatype

2005-03-03 23:56  tiran

	* ATCTTool.py, Extensions/Install.py, tests/test_tool.py: Added
	  some methods to the tool to get a list of cmf meta_types and
	  portal_types. Also added two methods to remove all cmf core +
	  plone core based objects from the catalog and to readd them. I'm
	  going to use them in the migration

2005-03-03 22:40  alecacct

	* ATCTTool.py, CalendarSupport.py, ConstrainTypesMixin.py,
	  HistoryAware.py, Permissions.py, __init__.py, __pkginfo__.py,
	  config.py, customconfig.py.example, interfaces.py, version.txt,
	  Extensions/Install.py, Extensions/toolbox.py,
	  Extensions/utils.py, configuration/__init__.py,
	  configuration/component.xml, configuration/config.py,
	  configuration/datatype.py, configuration/schema.py,
	  configuration/schema.xml, docs/HISTORY.txt, docs/INSTALL.txt,
	  etc/atcontenttypes.conf.in, i18n/atct-plone-da.po,
	  i18n/atct-plone.pot, migration/ATCTMigrator.py,
	  migration/CPTMigrator.py, migration/Migrator.py,
	  migration/Walker.py, migration/__init__.py, migration/common.py,
	  skins/ATContentTypes/atct_macros.pt,
	  skins/ATContentTypes/atct_topic_view.pt,
	  skins/ATContentTypes/criterion_edit_form.cpt,
	  tests/ATCTSiteTestCase.py, tests/common.py,
	  tests/runtests.sh.example, tests/testATDocument.py,
	  tests/testATEvent.py, tests/testATFavorite.py,
	  tests/testATFile.py, tests/testATFolder.py, tests/testATImage.py,
	  tests/testATLink.py, tests/testATNewsItem.py,
	  tests/testContrainTypes.py, types/ATContentType.py,
	  types/ATDocument.py, types/ATEvent.py, types/ATFavorite.py,
	  types/ATFile.py, types/ATFolder.py, types/ATImage.py,
	  types/ATLink.py, types/ATNewsItem.py, types/ATTopic.py,
	  types/schemata.py, types/criteria/ATBaseCriterion.py,
	  types/criteria/ATBooleanCriterion.py,
	  types/criteria/ATDateCriteria.py,
	  types/criteria/ATDateRangeCriterion.py,
	  types/criteria/ATListCriterion.py,
	  types/criteria/ATPortalTypeCriterion.py,
	  types/criteria/ATReferenceCriterion.py,
	  types/criteria/ATSelectionCriterion.py,
	  types/criteria/ATSimpleIntCriterion.py,
	  types/criteria/ATSimpleStringCriterion.py,
	  types/criteria/ATSortCriterion.py, types/criteria/__init__.py:
	  Merged in changes from 1.0 branch, will need to make TopicTool
	  part fo the ATCTTool.

2005-03-03 21:44  alecacct

	* skins/ATContentTypes/: atct_macros.pt, atct_topic_view.pt,
	  criterion_edit_form.cpt, criterion_edit_form.cpt.metadata,
	  isATCTbased.py, validate_add_criterion.vpy: Fix whitespace
	  issues, no more tabs.

2005-03-03 21:39  tiran

	* Permissions.py, __init__.py, config.py, docs/HISTORY.txt,
	  types/ATTopic.py: Used some code from Ben's great Bricolite
	  product to have an add permission per type. It allows fine
	  granulated permission settings.

2005-03-02 12:52  tiran

	* docs/HISTORY.txt,
	  skins/ATContentTypes/criterion_edit_form.cpt.metadata:  * Fixed
	  bug [ 1154073 ] criterion_edit_form.cpt(.metadata) has no default
	      action. The default action for the criterion edit form is
	  save.

2005-03-02 00:59  tiran

	* ATCTTool.py, __init__.py, Extensions/Install.py,
	  docs/HISTORY.txt: Added portal_atct tool. The new tool will be
	  used for the new topic features and for the plone control panel.

2005-03-01 23:33  tiran

	* __pkginfo__.py, version.txt, types/schemata.py: renamed the
	  related field according to danny's patch. He will be happy that
	  he doesn't have to migrate his site :)

2005-03-01 23:08  tiran

	* CalendarSupport.py, ConstrainTypesMixin.py, HistoryAware.py,
	  __init__.py, interfaces.py, Extensions/Install.py,
	  Extensions/toolbox.py, Extensions/utils.py, docs/HISTORY.txt,
	  skins/ATContentTypes/isATCTbased.py, tests/ATCTSiteTestCase.py,
	  tests/testContrainTypes.py, types/ATContentType.py,
	  types/ATDocument.py, types/ATEvent.py, types/ATFavorite.py,
	  types/ATFile.py, types/ATFolder.py, types/ATImage.py,
	  types/ATLink.py, types/ATNewsItem.py, types/ATTopic.py,
	  types/criteria/ATBaseCriterion.py,
	  types/criteria/ATDateCriteria.py,
	  types/criteria/ATListCriterion.py,
	  types/criteria/ATPortalTypeCriterion.py,
	  types/criteria/ATSimpleIntCriterion.py,
	  types/criteria/ATSimpleStringCriterion.py,
	  types/criteria/ATSortCriterion.py, types/criteria/__init__.py:
	  Interface geddon: Merged all interfaces into a single file

2005-03-01 22:41  tiran

	* CalendarSupport.py, customconfig.py.example,
	  Extensions/Install.py, Extensions/utils.py, docs/HISTORY.txt,
	  docs/INSTALL.txt, migration/common.py,
	  skins/ATContentTypes/atct_history.pt, tests/ATCTSiteTestCase.py,
	  tests/common.py, types/ATDocument.py, types/ATFile.py,
	  types/ATImage.py, types/schemata.py, types/criteria/__init__.py:
	  * Merged limi's ui branch which adds a text field to ATEvent and
	  an image plus
	     image caption to ATNewsItem.
	     [limi, tiran]

	   * Added related items reference field to all types using Danny's
	  reference
	     browser widget. The ATReferenceBrowserWidget has to be
	  available.

	  http://svn.plone.org/archetypes/MoreFieldsAndWidgets/ATReferenceBrowserWidget

2005-03-01 19:09  tiran

	* QuotaSupport.py, __init__.py, Extensions/Install.py,
	  Extensions/toolbox.py, configuration/__init__.py,
	  configuration/component.xml, configuration/config.py,
	  configuration/datatype.py, configuration/schema.py,
	  configuration/schema.xml, etc/atcontenttypes.conf.in,
	  skins/ATContentTypes/validate_add_criterion.vpy,
	  types/ATDocument.py, types/ATEvent.py, types/ATFavorite.py,
	  types/ATFile.py, types/ATFolder.py, types/ATImage.py,
	  types/ATLink.py, types/ATNewsItem.py, types/ATTopic.py: * Created
	  1.0 release branch *Removed old debian/ directory. I don't
	  maintain it any more so there is no reason in having it in the
	  cvs * Removed QuotaSupport.py. It should never be in the official
	  tree of ATCT * Introduced great chances in the migration system:
	  The portal type names of the ATCT types are the same as the CMF
	  types. CMF types will be renamed at install time.  * Introduced
	  ZConfig based configuration. It will replace the customconfig.py
	  file.

2005-03-01 10:19  shh42

	* migration/ATCTMigrator.py: Reduce amount of logfile spam.

2005-02-26 20:38  tiran

	* __pkginfo__.py, docs/HISTORY.txt, docs/INSTALL.txt,
	  types/ATTopic.py: Preparing ATContentTypes 0.2-rc5 release

2005-02-26 02:12  brcwhit

	* types/ATDocument.py: fixed ATDocument.setText to use
	  default_content_type if value None or value '' is passed in

2005-02-25 16:16  tiran

	* config.py, Extensions/Install.py, Extensions/toolbox.py,
	  docs/HISTORY.txt, migration/ATCTMigrator.py,
	  migration/CPTMigrator.py, migration/Migrator.py,
	  migration/Walker.py, migration/__init__.py, migration/common.py,
	  tests/ATCTSiteTestCase.py, types/ATContentType.py,
	  types/ATDocument.py, types/ATEvent.py, types/ATFavorite.py,
	  types/ATFile.py, types/ATFolder.py, types/ATImage.py,
	  types/ATLink.py, types/ATNewsItem.py, types/ATTopic.py:  *
	  Cleaned up the migration suite a little bit and enhanced the doc
	  strings.
	     [tiran]

	   * Replaces the globalAllow hack by createTypeByName which
	  doesn't make
	     security checks like "is the type implicitly or explicitly
	  addable in the
	     folder". It shares the same codebase as the function from
	  PloneUtilities
	     I once wrote to unfuck the create member area method.
	     [tiran]

	   * Better traceback support inside the migration suite.
	     [tiran]

	   * Added knob to toggle the installation of LinguaPlone in ATCT
	  install.
	     [tiran]

	   * Added explicit portal type name to all ATCT types.
	     [tiran]

	   * Renamed newTypeFor to _actc_newTypeFor. The former name was
	  confusing
	     people.
	     [tiran]

2005-02-25 00:09  brcwhit

	* tests/ATCTSiteTestCase.py: changed afterSetUp to use
	  loginAsPortalOwner

2005-02-24 02:23  alecacct

	* ATTopicsTool.py, Extensions/Install.py,
	  Extensions/installTopicsTool.py,
	  skins/ATContentTypes/DynamicOptionList.js,
	  skins/ATContentTypes/atct_manageTopicSetup.cpt,
	  skins/ATContentTypes/atct_manageTopicSetup.cpt.metadata,
	  skins/ATContentTypes/atct_saveTopicSetup.cpy,
	  skins/ATContentTypes/atct_saveTopicSetup.cpy.metadata,
	  skins/ATContentTypes/atct_topic_pdf.pt,
	  skins/ATContentTypes/atct_topic_pdf_template.pt,
	  skins/ATContentTypes/atct_topic_view.pt,
	  skins/ATContentTypes/criterion_edit_form.cpt, types/ATTopic.py,
	  types/schemata.py, types/criteria/ATBooleanCriterion.py,
	  types/criteria/ATPortalTypeCriterion.py,
	  types/criteria/ATSimpleIntCriterion.py,
	  types/criteria/__init__.py: Many changes: *Updated and added doc
	  strings in ATTopicsTool.  Added a few more security declarations.
	  *Added support for storing info about catalog Metadata columns
	  in ATTopicsTool.  *Added support for restricting criteria
	  available for specific indices in ATTopicsTool.  This requires
	  that any old versions of the tool be deleted and the product be
	  reinstalled, this should be OK as the tool has never been in a
	  released version.  *Added configlet for Topics Tool.	*Switched
	  from inefficient function based sorting to faster Schwartzian
	  transforms.  *Added methods to ATTopicsTool for returning
	  DisplayLists (for use in AT widgets).  *Make
	  ATTopicTool.getFriendlyName return the index name if the
	  friendlyName is blank.  *Change layout of the configlet to a
	  plonish table.  It's a bit large, and is probably not the best
	  UI, but it works.  Add support for metadata and criteria
	  specification to the configlet.  Made configuration form
	  monolithic calling a single script.  May be a good idea to split
	  this in three.  *Added customizable view using catalog metadata
	  and pdf view option (appears only if CMFReportTool is installed).
	  *Made the criteria edit form show only the relevant criteria for
	  a given index.  Uses some very liberally licensed 3rd party
	  javascript (should probably go in plone_3rdParty eventually as it
	  has some general utility).  *Restricted indexes associated with
	  particular criteria a bit further (e.g. no more
	  PortalTypeCriterion for TextIndex).

2005-02-23 12:45  ctheune

	* HistoryAware.py:  - Only returning the username. Not the whole
	  path to the user in the userfolder

2005-02-22 18:16  tiran

	* types/: ATContentType.py, ATDocument.py: Ported webdav index_html
	  form CMFPlone 2.1 to ATCT ATFolder

2005-02-22 18:15  tiran

	* types/ATImage.py: Removed longdesc from ATImage because it is not
	  longer in use in Plone 2.1

2005-02-22 17:14  tiran

	* types/ATTopic.py: Changed folderlisting in ATTopic. Now it is set
	  to invisible instead of removed

2005-02-22 16:52  tiran

	* types/: ATImage.py, schemata.py: Removed longdesc but add it
	  always to the tag of ATImage

2005-02-22 16:24  tiran

	* tests/: runtests.sh.example, testATDocument.py: PortalTransforms
	  has changed and returns stx with header level 2 now

2005-02-22 11:27  ctheune

	* HistoryAware.py, docs/HISTORY.txt, types/ATDocument.py:  - Small
	  feature to access the last editor.

2005-02-17 21:43  tiran

	* tests/: ATCTSiteTestCase.py, common.py, testATDocument.py,
	  testATEvent.py, testATFavorite.py, testATFile.py,
	  testATFolder.py, testATImage.py, testATLink.py,
	  testATNewsItem.py, testContrainTypes.py: A bunch of small updates
	  and fixes for the unit test suite including some compatibility
	  changes for the unit test suite of AT 1.3

2005-02-14 18:28  stonor

	* i18n/atct-plone-da.po: added Danish translation. Still needs some
	  work.

2005-02-14 18:03  stonor

	* i18n/atct-plone.pot: ran i18ndude to update msgids from
	  templates. added a bunch of manual msgid's, e.g. from the
	  atct-plone-de.po. (Hope I didn't wipe out anything.)

2005-02-14 15:46  tiran

	* types/ATContentType.py: removed unused code

2005-02-14 11:51  tiran

	* types/criteria/: ATBooleanCriterion.py, ATDateRangeCriterion.py,
	  ATReferenceCriterion.py, ATSelectionCriterion.py: Added
	  additional criteria from Alec Mitchell's patch, second try

2005-02-14 11:48  tiran

	* ATTopicsTool.py, Extensions/Install.py,
	  types/criteria/__init__.py, types/criteria/schemata.py: Added
	  additional criteria from Alec Mitchell's patch Fixed some small
	  issues in the topic tool including initial index creation and
	  adding the tool at install time

2005-02-14 10:56  tiran

	* ATContentTypes.py, CalendarSupport.py, ConstrainTypesMixin.py,
	  HistoryAware.py, Permissions.py, QuotaSupport.py, Validators.py,
	  __init__.py, __pkginfo__.py, config.py, customconfig.py.example,
	  utils.py, version.txt, Extensions/Install.py,
	  Extensions/__init__.py, Extensions/batchCreate.py,
	  Extensions/findStaledObjects.py, Extensions/migrateFromCMF.py,
	  Extensions/migrateFromCPT.py, Extensions/toolbox.py,
	  Extensions/utils.py, docs/CHANGELOG.txt, docs/HISTORY.txt,
	  docs/INSTALL.txt, i18n/atct-plone-de.po, i18n/atct-plone-zh.po,
	  i18n/atct-plone.pot, migration/ATCTMigrator.py,
	  migration/CPTMigrator.py, migration/Migrator.py,
	  migration/Walker.py, migration/common.py,
	  skins/ATContentTypes/atct_history.pt,
	  skins/ATContentTypes/atct_macros.pt,
	  skins/ATContentTypes/atct_topic_view.pt,
	  skins/ATContentTypes/validate_atct.vpy,
	  tests/ATCTSiteTestCase.py, tests/__init__.py, tests/common.py,
	  tests/testATDocument.py, tests/testATEvent.py,
	  tests/testATFavorite.py, tests/testATFile.py,
	  tests/testATFolder.py, tests/testATImage.py, tests/testATLink.py,
	  tests/testATNewsItem.py, tests/testContrainTypes.py,
	  types/ATContentType.py, types/ATDocument.py, types/ATEvent.py,
	  types/ATFavorite.py, types/ATFile.py, types/ATFolder.py,
	  types/ATImage.py, types/ATLink.py, types/ATNewsItem.py,
	  types/ATTopic.py, types/__init__.py, types/schemata.py,
	  types/criteria/ATBaseCriterion.py,
	  types/criteria/ATDateCriteria.py,
	  types/criteria/ATListCriterion.py,
	  types/criteria/ATPortalTypeCriterion.py,
	  types/criteria/ATSimpleIntCriterion.py,
	  types/criteria/ATSimpleStringCriterion.py,
	  types/criteria/ATSortCriterion.py, types/criteria/__init__.py,
	  types/criteria/schemata.py: Merged changes from HEAD into ender's
	  topic branch

2005-02-14 10:31  tiran

	* customconfig.py.example, docs/HISTORY.txt, docs/INSTALL.txt,
	  migration/Migrator.py, migration/Walker.py, migration/common.py,
	  skins/ATContentTypes/atct_history.pt, types/ATContentType.py,
	  types/ATDocument.py, types/ATEvent.py, types/ATNewsItem.py:
	  ported fixes from the 0.2 branch to the head

2005-02-14 10:14  tiran

	* ATContentTypes.py, CalendarSupport.py, ConstrainTypesMixin.py,
	  HistoryAware.py, Permissions.py, QuotaSupport.py, Validators.py,
	  __init__.py, config.py, utils.py, Extensions/Install.py,
	  Extensions/__init__.py, Extensions/batchCreate.py,
	  Extensions/findStaledObjects.py, Extensions/migrateFromCMF.py,
	  Extensions/migrateFromCPT.py, Extensions/toolbox.py,
	  Extensions/utils.py, migration/ATCTMigrator.py,
	  migration/CPTMigrator.py, migration/Migrator.py,
	  migration/common.py, tests/ATCTSiteTestCase.py,
	  tests/__init__.py, tests/common.py, tests/testATDocument.py,
	  tests/testATEvent.py, tests/testATFavorite.py,
	  tests/testATFile.py, tests/testATFolder.py, tests/testATImage.py,
	  tests/testATLink.py, tests/testATNewsItem.py,
	  tests/testContrainTypes.py, types/ATContentType.py,
	  types/ATDocument.py, types/ATEvent.py, types/ATFavorite.py,
	  types/ATFile.py, types/ATFolder.py, types/ATImage.py,
	  types/ATLink.py, types/ATNewsItem.py, types/ATTopic.py,
	  types/__init__.py, types/schemata.py,
	  types/criteria/ATBaseCriterion.py,
	  types/criteria/ATDateCriteria.py,
	  types/criteria/ATListCriterion.py,
	  types/criteria/ATPortalTypeCriterion.py,
	  types/criteria/ATSimpleIntCriterion.py,
	  types/criteria/ATSimpleStringCriterion.py,
	  types/criteria/ATSortCriterion.py, types/criteria/__init__.py,
	  types/criteria/schemata.py: Removed the $ lines as they are
	  causing lot's of conflicts

2005-02-14 10:09  tiran

	* ATContentTypes.py, CalendarSupport.py, ConstrainTypesMixin.py,
	  HistoryAware.py, Permissions.py, QuotaSupport.py, Validators.py,
	  __init__.py, config.py, utils.py, Extensions/Install.py,
	  Extensions/__init__.py, Extensions/batchCreate.py,
	  Extensions/findStaledObjects.py, Extensions/migrateFromCMF.py,
	  Extensions/migrateFromCPT.py, Extensions/toolbox.py,
	  Extensions/utils.py, migration/ATCTMigrator.py,
	  migration/CPTMigrator.py, migration/Migrator.py,
	  migration/common.py, tests/ATCTSiteTestCase.py,
	  tests/__init__.py, tests/common.py, tests/testATDocument.py,
	  tests/testATEvent.py, tests/testATFavorite.py,
	  tests/testATFile.py, tests/testATFolder.py, tests/testATImage.py,
	  tests/testATLink.py, tests/testATNewsItem.py,
	  tests/testContrainTypes.py, types/ATContentType.py,
	  types/ATDocument.py, types/ATEvent.py, types/ATFavorite.py,
	  types/ATFile.py, types/ATFolder.py, types/ATImage.py,
	  types/ATLink.py, types/ATNewsItem.py, types/ATTopic.py,
	  types/__init__.py, types/schemata.py,
	  types/criteria/ATBaseCriterion.py,
	  types/criteria/ATDateCriteria.py,
	  types/criteria/ATListCriterion.py,
	  types/criteria/ATPortalTypeCriterion.py,
	  types/criteria/ATSimpleIntCriterion.py,
	  types/criteria/ATSimpleStringCriterion.py,
	  types/criteria/ATSortCriterion.py, types/criteria/__init__.py,
	  types/criteria/schemata.py: Removed the $ lines as they are
	  causing lot's of conflicts

2005-02-14 09:59  tiran

	* ConstrainTypesMixin.py, docs/HISTORY.txt: Sorry but that's a new
	  feature. I'm trying to make the 0.2 branch stable for a new
	  release candidate. New features have to go into the trunk for
	  ATCT 0.3

2005-02-14 08:24  panjunyong

	* docs/HISTORY.txt, ConstrainTypesMixin.py: ported from head

2005-02-14 07:35  tiran

	* docs/HISTORY.txt, migration/Walker.py: ported panjunyong's fix to
	  the 0.2 branch. Thx for your help but please check in bug fixes
	  to the 0.2 branch!

2005-02-14 07:34  tiran

	* skins/ATContentTypes/atct_history.pt: renamed some i18n vars

2005-02-14 04:17  panjunyong

	* docs/HISTORY.txt, migration/Walker.py:  migrate empty folder now

2005-02-13 14:01  stonor

	* skins/ATContentTypes/atct_history.pt: added some i18n markup

2005-02-12 11:02  tiran

	* docs/HISTORY.txt, docs/INSTALL.txt, i18n/atct-plone-zh.po,
	  i18n/atct-plone.pot, migration/Migrator.py, migration/Walker.py,
	  migration/common.py, skins/ATContentTypes/atct_topic_view.pt,
	  types/ATContentType.py, types/ATDocument.py, types/ATEvent.py,
	  types/ATNewsItem.py: A bunch of fixes  * Increase debugging in
	  Migration suite to find issues with missing types in
	  globalAllow.	   [tiran]

	   * Ported atct_topic_view icon fix from HEAD.

	   * Don't create ATDocuments when uploading .pdf and .doc files
	    [batlogg]

	   * Resurrected warning message when we hit a broken object in the
	  folder
	     migration.
	     [tiran]

	   * Local roles and Creator are kept when migration.
	     [panjunyong]

	   * Update requirements to the soon to release AT 1.3.2 version
	  and svn.

	   * Added update_data and manage_edit compat. methods to ATFile
	  and ATImage.
	     [tiran]

	   * Added temporary fix for [ 1095242 ] EditableBody in ATNewsItem
	  requires
	     Modify portal content. It will stay in ATNewsItem until Plone
	  is fixed.
	     [tiran]

	   * Fixed [ 1075193 ] infinite recursion in ATEvent. The __cmp__
	  hook was fixed
	     a while ago but I forgot to mention it here.
	     [tiran]

	   * Fixed [ 1098347 ] validate_add_criterion.vpy has errors. The
	  file was dos
	     encoded
	     [tiran]

2005-02-11 07:19  panjunyong

	* docs/HISTORY.txt: update doc

2005-02-11 06:50  panjunyong

	* migration/Migrator.py: migrate local roles

2005-02-10 03:28  limi

	* types/schemata.py: Added image caption to the news type, removed
	  longdesc attribute from images.  (If it's going to be in there,
	  longdesc contains a URL, not text. No  accessibility-enhanced
	  browsers support it that I know of, though.)

2005-02-08 02:27  limi

	* migration/common.py: Added sys import statement. This needs to go
	  into HEAD too.

2005-02-07 15:16  tesdal

	* types/ATTopic.py: Enable limiting existing criterias in addition
	  to limiting on variables not defined in criterias

2005-02-04 04:47  panjunyong

	* docs/HISTORY.txt, ConstrainTypesMixin.py:
	   * Use a seperate schemata for ConstrainTypesMixin. We may have
	  many mixins.
	     This way, we can avoid a long edit form when edit the content.

2005-02-02 13:41  tesdal

	* skins/ATContentTypes/atct_topic_view.pt: Filter out / instead of
	  assuming it's always present and having no icon if the getIcon is
	  just the icon name.

2005-02-02 08:56  panjunyong

	* skins/ATContentTypes/atct_topic_view.pt: content icon is ok now.

2005-02-01 21:18  batlogg

	* types/ATDocument.py: don't create ATDocuments when uploading .pdf
	  and .doc files

2005-02-01 08:12  panjunyong

	* i18n/: atct-plone-zh.po, atct-plone.pot: more i18n

2005-01-31 16:44  panjunyong

	* i18n/atct-plone-zh.po: fix

2005-01-31 16:33  panjunyong

	* i18n/: atct-plone-zh.po, atct-plone.pot: more i18n and add
	  chinese translation

2005-01-28 16:01  dannybloe

	* docs/HISTORY.txt, types/schemata.py: It's even better without
	  help descriptions.

2005-01-28 15:57  dannybloe

	* types/schemata.py: It's even better without help descriptions.

2005-01-28 09:43  dannybloe

	* types/schemata.py: Removed brackets

2005-01-28 09:43  dannybloe

	* types/schemata.py: More sensible descriptions for files and
	  images.

2005-01-28 09:39  dannybloe

	* types/schemata.py: More sensible descriptions for files and
	  images.

2005-01-26 07:06  limi

	* types/schemata.py: Added Image support to News Items, and Rich
	  Text support to Events.

	  Still missing:

	  - Proper rendering of STX etc. in the Event view.  - Tile view of
	  image in the news listing.

2005-01-25 18:52  yenzenz

	* CalendarSupport.py: please check your code before checkin

2005-01-24 19:26  tiran

	* __pkginfo__.py, Extensions/Install.py, Extensions/toolbox.py,
	  docs/CHANGELOG.txt, docs/HISTORY.txt, docs/INSTALL.txt,
	  i18n/atct-plone-de.po, i18n/atct-plone.pot,
	  migration/ATCTMigrator.py, migration/Migrator.py,
	  migration/Walker.py, migration/common.py,
	  skins/ATContentTypes/atct_macros.pt,
	  skins/ATContentTypes/criterion_edit_form.cpt,
	  skins/ATContentTypes/validate_atct.vpy,
	  tests/ATCTSiteTestCase.py, tests/testATDocument.py,
	  tests/testATEvent.py, tests/testATFavorite.py,
	  tests/testATFile.py, tests/testATFolder.py, tests/testATImage.py,
	  tests/testATLink.py, tests/testATNewsItem.py,
	  tests/testContrainTypes.py, types/ATContentType.py,
	  types/ATDocument.py, types/ATEvent.py, types/ATFile.py,
	  types/ATImage.py, types/ATTopic.py, types/schemata.py,
	  types/criteria/schemata.py: Merged changes from 0.2 branch into
	  the head

2005-01-24 19:18  tiran

	* CalendarSupport.py, __pkginfo__.py, version.txt,
	  Extensions/Install.py, Extensions/utils.py, docs/HISTORY.txt:
	  Changed ical/vcal exports to use action icons

2005-01-19 16:09  tiran

	* tests/testDocTests.py: removed false import

2005-01-19 16:07  tiran

	* docs/HISTORY.txt, migration/Migrator.py, tests/testDocTests.py,
	  types/ATEvent.py: [ 1104069 ] ATCT migration -- more ordering
	  issues

2005-01-07 18:04  dreamcatcher

	* types/: ATEvent.py, ATFile.py: Fix a recursion error

2004-12-24 00:53  shh42

	* types/ATContentType.py: ATCTMixin must not override
	  validate_id.vpy validator.

2004-12-23 16:51  dannybloe

	* types/criteria/__init__.py: tesdal's fixes for extendedpathindex.

2004-12-23 16:16  tesdal

	* types/criteria/__init__.py: Added ExtendedPathIndex to the index
	  list.

2004-12-17 16:49  dannybloe

	* ATTopicsTool.py, skins/ATContentTypes/atct_manageTopicSetup.cpt,
	  skins/ATContentTypes/atct_manageTopicSetup.cpt.metadata,
	  skins/ATContentTypes/atct_saveTopicSetupTypes.cpy,
	  skins/ATContentTypes/atct_saveTopicSetupTypes.cpy.metadata: [no
	  log message]

2004-12-17 16:40  dannybloe

	* ATTopicsTool.py, Extensions/installTopicsTool.py,
	  types/criteria/ATPortalTypeCriterion.py,
	  skins/ATContentTypes/atct_manageTopicSetup.cpt,
	  skins/ATContentTypes/atct_manageTopicSetup.cpt.metadata,
	  skins/ATContentTypes/atct_saveTopicSetup.cpy,
	  skins/ATContentTypes/atct_saveTopicSetup.cpy.metadata: [no log
	  message]

2004-12-17 15:16  dannybloe

	* skins/ATContentTypes/: atct_manageTopicIndices.cpt,
	  atct_manageTopicIndices.cpt.metadata, atct_saveTopicIndices.cpy,
	  atct_saveTopicIndices.cpy.metadata: [no log message]

2004-12-16 17:09  dannybloe

	* Extensions/Install.py, Extensions/.cvsignore,
	  Extensions/installTopicsTool.py, __init__.py, ATTopicsTool.py,
	  tool.gif, skins/ATContentTypes/atct_macros.pt,
	  skins/ATContentTypes/atct_manageTopicIndices.cpt,
	  skins/ATContentTypes/atct_manageTopicIndices.cpt.metadata,
	  skins/ATContentTypes/atct_saveTopicIndices.cpy,
	  skins/ATContentTypes/atct_saveTopicIndices.cpy.metadata,
	  skins/ATContentTypes/criterion_edit_form.cpt, types/ATTopic.py:
	  Initial check-in for the enhanced ATTopics.  You can now
	  configure which indexes will be shown in the topics criteria page
	  and how these indexes will be displayed. You can give them a
	  friendly name and an explanation.  I also modified the criteria
	  edit page a bit and removed unnecessary comments in the UI (less
	  is usually better).

	  More to come....

2004-12-15 17:48  tiran

	* tests/: ATCTSiteTestCase.py, testATDocument.py, testATEvent.py,
	  testATNewsItem.py: fixed unit tests for default_content_type
	  change added some cmp() tests for ATEvent

2004-12-14 22:52  ctheune

	* config.py, customconfig.py.example, utils.py,
	  skins/ATContentTypes/atct_topic_view.pt, tests/testATDocument.py,
	  tests/testATNewsItem.py:  - ported earlier fixes from 0.2 branch

2004-12-14 22:43  ctheune

	* docs/HISTORY.txt, skins/ATContentTypes/atct_topic_view.pt:  - fix
	  for bug 1079030 (avoid using getObject for atct_topic_view)

2004-12-13 19:11  ctheune

	* config.py, docs/HISTORY.txt:	- fixed syntax error that occured
	  from uncommenting the html content type

2004-12-13 18:13  ctheune

	* config.py, customconfig.py.example, docs/CHANGELOG.txt:  Default
	  content type is now html. This is good. Really.

2004-12-13 18:09  tiran

	* types/ATEvent.py: First fix for cmp() error in ATEvent

2004-12-13 17:55  ctheune

	* utils.py, docs/CHANGELOG.txt:  fix for bug 1078278

2004-12-13 16:30  tiran

	* __pkginfo__.py, version.txt, Extensions/toolbox.py,
	  docs/HISTORY.txt, docs/INSTALL.txt, migration/ATCTMigrator.py,
	  migration/Walker.py, migration/common.py,
	  skins/ATContentTypes/atct_topic_view.pt,
	  tests/ATCTSiteTestCase.py, types/ATDocument.py:  * Fixed [
	  1080729 ] Wrong permissions for ATDocument.EditableText /
	  setFormat
	    [tiran]

	   * Use StdoutStringIO in migration to be more verbose

	   * Fixed atct_topcic_view: Make sure there is an object before
	  referencing
	     attributes. This can typically happen if there are problems
	  with the
	     AccessContentsInfo permission.
	     [tesdal]

	   * Removed support of Python 2.1 and 2.2 from INSTALL.txt. Some
	  code like
	     migration requires new features of Python 2.3 like generators.
	     [tiran]

	   * Added note to INSTALL.txt that ATCT will soon drop support for
	  Zope < 2.7.2.
	     [tiran]

	   * Added Christian Theune's changes to HISTORY.txt

2004-12-13 16:02  tiran

	* tests/testContrainTypes.py: fixed constrain test

2004-12-06 13:06  tesdal

	* skins/ATContentTypes/atct_topic_view.pt: Avoid calling the object
	  when checking for existance.

2004-12-05 17:39  shh42

	* tests/ATCTSiteTestCase.py: Remove a debug print.

2004-12-03 12:20  tesdal

	* skins/ATContentTypes/atct_topic_view.pt: Make sure there is an
	  object before referencing attributes. This can typically happen
	  if there are problems with the AccessContentsInfo permission.

2004-11-30 16:51  ctheune

	* version.txt:	- still heading to 0.2

2004-11-30 16:49  ctheune

	* version.txt:	version bump to rc4

2004-11-30 16:18  ctheune

	* i18n/atct-plone-de.po, skins/ATContentTypes/atct_macros.pt,
	  types/ATContentType.py, types/ATDocument.py:	- Extended german
	  translations
	   - Fixed ATDocument to not kill uploaded files on the submission
	  of an empty text area
	   - Fixed small bug in id protection

2004-11-25 17:47  ctheune

	* tests/ATCTSiteTestCase.py, types/ATContentType.py:  - fixed
	  _very_ annoying problem with bad ids. this should be bullet
	  proof.

2004-11-24 20:42  ctheune

	* i18n/atct-plone-de.po, i18n/atct-plone.pot,
	  skins/ATContentTypes/atct_macros.pt,
	  skins/ATContentTypes/criterion_edit_form.cpt,
	  tests/testATDocument.py, tests/testATEvent.py,
	  tests/testATFavorite.py, tests/testATFile.py,
	  tests/testATFolder.py, tests/testATImage.py, tests/testATLink.py,
	  tests/testATNewsItem.py, types/ATTopic.py,
	  types/criteria/schemata.py:  - fixed unit tests to work without
	  (and hopefully with too) runner again
	   - added feature that doesn't show users non-sortable criterions
	  in the form
	   - added feature that removes double or stupid criterions
	  (allowedRolesAndUsers, id/getId)
	   - sorting criterion lists (by their translations)
	   - added german translation
	   - more i18n support in the templates
	   - fixed minor typos

2004-11-24 17:58  ctheune

	* types/criteria/schemata.py:  - Better to use an empty string as a
	  default for StringCriterion. Otherwise
	     indizes will annoy the user with exception pages.

2004-11-24 17:29  ctheune

	* types/ATTopic.py:  - Adding the criterion type to the generated
	  id, so you can sort and filter
	     on the same field.

2004-11-24 16:34  tiran

	* skins/ATContentTypes/validate_atct.vpy, types/ATContentType.py:
	  Disabled _getPortalTypeName() Beautified the rename on upload
	  functionality

2004-11-24 15:55  tiran

	* docs/HISTORY.txt, Extensions/Install.py:  * Fixed [ 1067719 ]
	  Install.py bug: property modified but not assigned by
	     removing unnecessary code from Install.py. AT itself is
	  already handling
	     use_folder_tabs.

2004-11-10 19:28  tiran

	* migration/Migrator.py, docs/HISTORY.txt: Added fix for [ 1063549
	  ] ATCT migration doesn't migrate order

2004-11-10 04:39  limi

	* docs/INSTALL.txt, skins/ATContentTypes/atct_history.pt: Made the
	  "History is temporary, disappears on pack" message more friendly
	  to mere mortals.

2004-11-10 01:20  dtremea

	* Extensions/toolbox.py, docs/HISTORY.txt: Fixed the case where the
	  portal doesn't has a 'Members' folder or when it has another
	  name.

2004-11-01 15:55  tiran

	* Extensions/toolbox.py: Changed recreateATImageScales: Now it's
	  easy to reuse the function for other portal types

2004-10-31 15:37  tiran

	* docs/HISTORY.txt, tests/ATCTSiteTestCase.py,
	  tests/testATDocument.py, tests/testATEvent.py,
	  tests/testATFavorite.py, tests/testATFile.py,
	  tests/testATFolder.py, tests/testATImage.py, tests/testATLink.py,
	  tests/testATNewsItem.py, tests/testContrainTypes.py: Fixed [
	  1057691 ] Make ATContentTypes tests works with testrunner.py

2004-10-30 17:58  tiran

	* docs/HISTORY.txt, types/ATContentType.py, types/ATFile.py,
	  types/ATImage.py, types/schemata.py: Fixed [ 1055347 ] id
	  problems when member preferences are set to not display and [
	  1055348 ] ATCTFile id problems with portal_factory in
	  ATCTFileContent.  _setATCTFileContent()

	  Disabled external storages based types because neither I nor
	  MrTopf have time to support it right now.

	  Added long description field and image tag to ATImage. Fixed [
	  1056050 ] Add longdesc to ATImage.

2004-10-22 12:45  jladage

	* docs/INSTALL.txt: Updated install info.

2004-10-22 12:43  jladage

	* config.py, customconfig.py.example, types/schemata.py: Added
	  ENABLE_CLAMAV to CONFIGURABLE, add ENABLE_CLAMAV to
	  customconfig.py.example, default False

2004-10-22 11:12  jladage

	* docs/INSTALL.txt: updated INSTALL.txt, new version of pyclamav
	  available.

2004-10-22 11:05  jladage

	* docs/INSTALL.txt: updated INSTALL.txt, new version of pyclamav
	  available.

2004-10-21 21:22  tiran

	* __init__.py, configuration/__init__.py,
	  configuration/component.xml, configuration/datatypes.py,
	  configuration/schema.xml, etc/atct.conf.in: Checking in first
	  code for the new ZConfig infrastructur Future versions of ATCT
	  will be configured with ZConfig

2004-10-20 12:35  jladage

	* Validators.py, config.py, types/schemata.py: moved remove() after
	  file scan, duh

2004-10-20 11:34  jladage

	* Validators.py: use tempfile and delete afterwards.

2004-10-20 01:00  jladage

	* docs/INSTALL.txt: updated installation info.

2004-10-20 00:52  jladage

	* types/schemata.py: default do not use isNotInfected, only MaxSize
	  validator

2004-10-20 00:48  jladage

	* Validators.py, config.py: Added checks for importing pyclamav.

2004-10-20 00:41  jladage

	* Validators.py, docs/INSTALL.txt, types/schemata.py: Added
	  isNotInfectedValidator and added isNotInfected to the schema for
	  ATFileSchema.

2004-10-19 22:47  dtremea

	* customconfig.py.example: Added missing EXT_STORAGE_ENABLE config
	  option.

2004-10-17 03:33  tiran

	* docs/HISTORY.txt, types/ATLink.py: Minor fixes in history and
	  security

2004-10-17 03:18  tiran

	* __pkginfo__.py, version.txt, docs/INSTALL.txt,
	  tests/testContrainTypes.py: Preparing 0.2-rc3

2004-10-17 02:11  tiran

	* docs/HISTORY.txt, types/ATDocument.py: Added support for the
	  clear format feature of CMF Document.

2004-10-17 01:56  tiran

	* types/ATLink.py: Fixed permission

2004-10-17 01:29  tiran

	* docs/HISTORY.txt, types/ATLink.py: ATLink: Use urlparse library
	  to sanify the url to strip of additional slashes. This is fixing
	  http://plone.org/collector/3296 for ATCT.

2004-10-16 23:24  tiran

	* ConstrainTypesMixin.py, types/ATContentType.py, types/ATEvent.py,
	  types/ATFavorite.py, types/ATImage.py, types/ATLink.py: More
	  fixes for cmf_edit_kws. I forgot some values

2004-10-15 23:26  dtremea

	* i18n/atct-plone-ca.po: Added Catalan translation file. Thanks to
	  Albert Lombarte.

2004-10-15 00:30  tiran

	* migration/: Migrator.py, Walker.py: Now using _p_deactive() to
	  put migrated objects to sleep Added kwargs and some other minor
	  changes for PHC migration

2004-10-10 06:25  limi

	* HistoryAware.py: The tab should be "History", even if it might
	  not be 100% correct from a technical viewpoint. "Last changes" is
	  a bad name for it. ;)

2004-10-09 23:39  limi

	* docs/INSTALL.txt: Added install instructions for the impatient at
	  the top ;)

2004-10-08 18:23  tiran

	* docs/HISTORY.txt, types/ATContentType.py, types/ATDocument.py,
	  types/ATEvent.py, types/ATFavorite.py, types/ATFile.py,
	  types/ATFolder.py, types/ATImage.py, types/ATLink.py,
	  types/ATNewsItem.py, types/ATTopic.py: Fixed [ 1041830 ]
	  TypeError: cmf_edit() takes at least 3 non-keyword arguments

2004-10-06 23:53  tiran

	* __init__.py, customizationpolicy.py, docs/HISTORY.txt: Added
	  ATContentTypes Site customization policy

2004-10-06 14:09  tiran

	* __pkginfo__.py, version.txt, docs/CHANGELOG.txt,
	  docs/HISTORY.txt, docs/INSTALL.txt: preparing ATCT 0.2-rc2
	  release

2004-10-06 01:38  tiran

	* ConstrainTypesMixin.py, docs/HISTORY.txt, migration/Walker.py,
	  tests/testContrainTypes.py, types/ATContentType.py:  * Fixed [
	  1030660 ] ConstrainMixin: All types are addable in an ATFolder by
	     using a default_method to initialize the list of addable
	  types. The method
	     _globalAddableTypeIds was added to generate the list.
	     [tiran]

	   * Fixed a possible problem in allowedContentTypes: Now the
	  method is using
	     fti.isConstructionAllowed(context) to verify that the type is
	  constructable.
	     [tiran]

	   * Added an option called enableConstrainMixin which is a boolean
	  value
	     (checkbox). When set to false the constrain mixin is disabled
	  and the default
	     list of addable types is generated by using the default values
	  from
	     portal_types.
	     [tiran]

	   * Fixed [ 1030662 ] ConstrainMixin: Can't add an ATTopic to
	  portal root by not
	     subclassing ConstrainTypesMixin for ATCTFolder. ATCTFolder
	  must ONLY to used
	     as a base class for folderish but non folder types.
	     [tiran]

	   * Added max_depth workaround and logging for [ 1039846 ] Ghosts
	  in catalog
	     while migration and endless loop
	     [tiran]

2004-10-05 13:46  hoka

	* types/ATTopic.py: correct view action so that template mixin will
	  work if it is activated

2004-10-04 08:27  tiran

	* docs/HISTORY.txt, types/ATTopic.py: [ 1027108 ] Inherit criteria
	  not working. I HATE bare exceptions ...

2004-10-04 07:56  tiran

	* Extensions/toolbox.py, docs/HISTORY.txt: Fixed [ 1036255 ]
	  switchCMF2ATCT: Favorite can't be added anymore

2004-09-29 00:53  tiran

	* config.py, customconfig.py.example, docs/HISTORY.txt: fixed typos
	  in config.py, changed default history permission to review portal
	  content

2004-09-27 17:23  tiran

	* config.py: Changed mx.Tidy test to work around [ 1033396 ] Error
	  on refresh.

2004-09-27 16:55  tiran

	* docs/HISTORY.txt, types/ATDocument.py: Fixed [ 1035380 ] Problems
	  with createMemberArea and ATCT by adding a setFormat() method to
	  ATDocument which is using the translate method to map between
	  stupid CMF content types and real mime types.

2004-09-27 14:54  tesdal

	* migration/Walker.py: Check if there is actually a Langauge index
	  in the catalog before looking up unique values for it. This was a
	  problem if LinguaPlone was in your products directory but not in
	  the plone site.

2004-09-23 18:43  tesdal

	* tests/testATDocument.py: If there is a keyword argument that does
	  not correspond with the fieldnames it might be a cmf method call,
	  but not necessarily. Currently there is no graceful check to see
	  if it is actually a cmf edit, it is just assumed that it is a cmf
	  edit.

2004-09-18 00:06  tesdal

	* __init__.py: Import from LinguaPlone instead of Archetypes if
	  HAS_LINGUA_PLONE

2004-09-17 16:19  tiran

	* utils.py, types/schemata.py, types/criteria/schemata.py: misc
	  small cleanups

2004-09-17 15:59  dreamcatcher

	* __init__.py, utils.py, tests/testATEvent.py, types/ATEvent.py,
	  types/schemata.py: Move over some improvements from Calendaring's
	  Event. Got rid of the event there in favor of ATEvent.

2004-09-17 15:35  tiran

	* tests/common.py: reflect latest chances in Archetypes and the
	  validation package

2004-09-15 13:09  tesdal

	* migration/ATCTMigrator.py: setContentType isn't called in
	  ATDocument anymore, so we need to translate mime type from old to
	  new.

2004-09-13 18:21  tiran

	* types/schemata.py: fixed typo

2004-09-13 18:09  tiran

	* docs/HISTORY.txt, types/schemata.py: Use a copy of the
	  ATContentTypeSchema for every schema to make customizations
	  easier. Fixed [ 1027283 ] Schema editing very hard.

2004-09-13 17:59  tiran

	* docs/HISTORY.txt, types/ATDocument.py: Fixed [ 1026379 ]
	  ATDocument: skipField in setContentType throws error by removing
	  the custom setContentType method. It's not required any more.

2004-09-13 17:46  tiran

	* docs/HISTORY.txt, types/ATContentType.py, types/ATTopic.py:  *
	  Fixed [ 1027070 ] Download permission. Now the download tab is
	  shown for all
	     logged in users with View permission.
	     [tiran]

	   * Fixed [ 1027093 ] Edit permission topics. The edit action of
	  ATTopic now
	     requires ChangeTopic permission.

	   * [ 1027094 ] folderlisting action for ATTopic. Removed
	  folderlisting action
	     using a module level modify_fti function in ATTopic.py.

2004-09-13 17:25  tiran

	* Extensions/toolbox.py: little optimization

2004-09-13 12:23  runyaga

	* ConstrainTypesMixin.py: nasty tabs

2004-09-13 07:39  runyaga

	* ConstrainTypesMixin.py: its very late

2004-09-12 21:04  runyaga

	* ConstrainTypesMixin.py: sort by title

2004-09-10 17:09  tiran

	* docs/HISTORY.txt, docs/INSTALL.txt, types/ATContentType.py,
	  types/ATDocument.py, types/ATEvent.py, types/ATFavorite.py,
	  types/schemata.py:  * Removed call to markCreationFlag()
	    [tiran]

	   * Fixed problem with ATFavorite: Migration to ATFavorite failed
	  when the object
	     was gone or the user wasn't allowed to access it.
	     [tiran]

2004-09-08 16:21  runyaga

	* ConstrainTypesMixin.py: sort ConstrainTypes available types in UI

2004-08-24 19:29  runyaga

	* types/criteria/ATPortalTypeCriterion.py: missing import -  eesh!

2004-08-22 23:51  tiran

	* Extensions/toolbox.py: better traceback informations

2004-08-22 23:43  tiran

	* types/criteria/: ATBaseCriterion.py, ATDateCriteria.py,
	  ATListCriterion.py, ATPortalTypeCriterion.py,
	  ATSimpleIntCriterion.py, ATSimpleStringCriterion.py,
	  ATSortCriterion.py: Removed unnesc imports Fixed interface
	  __implements__

2004-08-22 22:20  tiran

	* docs/HISTORY.txt, types/schemata.py: [ 1013853 ] File upload
	  image shows mime-type in widget

2004-08-20 02:19  dreamcatcher

	* types/ATContentType.py: Sensible defaults!

2004-08-18 22:17  dreamcatcher

	* Extensions/toolbox.py: Allow skipping fixRenameAfter.

2004-08-18 21:50  dreamcatcher

	* types/: ATContentType.py, ATTopic.py, criteria/__init__.py: Add
	  NavtreeIndexNG. Use sort-limit keyword for improved search speed.

2004-08-17 18:59  tiran

	* config.py, types/ATFolder.py, types/schemata.py: Interface was
	  renamed in branch

2004-08-17 18:48  tiran

	* ConstrainTypesMixin.py: Missing import

2004-08-17 18:19  tiran

	* ConstrainTypesMixin.py, RestrainTypesMixin.py, config.py,
	  customconfig.py.example, docs/AUTHORS.txt, docs/HISTORY.txt,
	  tests/testContrainTypes.py, types/ATContentType.py,
	  types/schemata.py: Merged ConstrainTypesMixin from the branch
	  into the HEAD. Thx to Leonardo Rochael Almeida and Jens Werner
	  Klein for their work.

2004-08-17 17:30  dreamcatcher

	* config.py, types/ATDocument.py: Merge tiran's fix for copy.
	  Enable ConstrainMixin by default here.

2004-08-16 03:22  tiran

	* types/ATDocument.py: Completed last fix by fixing a baaaad copy
	  'n paste problem Kids: Don't drink and code - always remember!

2004-08-16 03:08  tiran

	* docs/HISTORY.txt, types/ATDocument.py: Fixed an ugly bug in
	  ATDocument which was screwing up references on copy.

2004-08-13 19:30  rochael

	* skins/ATContentTypes/atct_history.pt, types/ATContentType.py,
	  types/schemata.py: merged with head again

2004-08-13 17:28  rochael

	* customconfig.py.example: fix duplicated ENABLED_TEMPLATE_MIXIN as
	  in HEAD

2004-08-13 17:13  rochael

	* ConstrainTypesMixin.py, tests/testContrainTypes.py: raise
	  Unauthorized instead of ValueError when the user attempts to add
	  a type that is not constrained but is unauthorized.

2004-08-13 15:59  rochael

	* customconfig.py.example: removed duplicated ENABLE_TEMPLATE_MIXIN

2004-08-13 15:21  tiran

	* skins/ATContentTypes/atct_history.pt: Somehow I mixed up two
	  sentences

2004-08-13 15:21  tiran

	* types/schemata.py: Something went wrong ...

2004-08-13 15:15  tiran

	* types/ATContentType.py: Fixed typo

2004-08-12 20:09  rochael

	* ConstrainTypesMixin.py: self.aq_parent -> aq_parent(self) Add
	  comment explaining why we don't check the parent interface before
	  calling .ancestorGetLocallyAllowedTypes()

2004-08-12 14:23  tiran

	* types/schemata.py: Using True and False instead 1 and 0

2004-08-12 14:22  tiran

	* types/ATContentType.py: Fixed a problem inside the _getPortalName
	  method.Now it's working again even when the object doesn't have a
	  proper acquisition context

2004-08-12 03:46  rochael

	* ConstrainTypesMixin.py, tests/testContrainTypes.py: Added tests
	  for constrained functionality Fixed constraint inheritance
	  behaviour

2004-08-11 03:13  rochael

	* tests/testContrainTypes.py: Tests for type constraining
	  functionality

2004-08-11 03:09  rochael

	* ATContentTypes.py, CalendarSupport.py, ConstrainTypesMixin.py,
	  HistoryAware.py, Permissions.py, QuotaSupport.py,
	  RestrainTypesMixin.py, Validators.py, __init__.py,
	  __pkginfo__.py, config.py, customconfig.py.example, version.txt,
	  Extensions/Install.py, Extensions/__init__.py,
	  Extensions/batchCreate.py, Extensions/findStaledObjects.py,
	  Extensions/migrateFromCMF.py, Extensions/migrateFromCPT.py,
	  Extensions/toolbox.py, Extensions/utils.py, docs/AUTHORS.txt,
	  docs/CHANGELOG.txt, docs/ExtendingType.txt, docs/HISTORY.txt,
	  docs/INSTALL.txt, docs/atct-uml.png, docs/atct-uml.zuml,
	  migration/ATCTMigrator.py, migration/CPTMigrator.py,
	  migration/Migrator.py, migration/Walker.py, migration/common.py,
	  skins/ATContentTypes/atct_history.pt,
	  skins/ATContentTypes/atct_macros.pt,
	  skins/ATContentTypes/atct_topic_view.pt,
	  skins/ATContentTypes/criterion_edit_form.cpt,
	  skins/ATContentTypes/criterion_edit_form.cpt.metadata,
	  skins/ATContentTypes/criterion_save.cpy,
	  skins/ATContentTypes/formatHistoryDiff.py,
	  skins/ATContentTypes/isATCTbased.py,
	  skins/ATContentTypes/validate_remove_criterion.vpy,
	  skins/ATContentTypes/validate_set_sort.vpy,
	  tests/ATCTSiteTestCase.py, tests/common.py, tests/framework.py,
	  tests/testATDocument.py, tests/testATEvent.py,
	  tests/testATFavorite.py, tests/testATFile.py,
	  tests/testATFolder.py, tests/testATImage.py, tests/testATLink.py,
	  tests/testATNewsItem.py, types/ATContentType.py,
	  types/ATDocument.py, types/ATEvent.py, types/ATFavorite.py,
	  types/ATFile.py, types/ATFolder.py, types/ATImage.py,
	  types/ATLink.py, types/ATNewsItem.py, types/ATTopic.py,
	  types/__init__.py, types/schemata.py,
	  types/criteria/ATBaseCriterion.py,
	  types/criteria/ATDateCriteria.py,
	  types/criteria/ATListCriterion.py,
	  types/criteria/ATPortalTypeCriterion.py,
	  types/criteria/ATSimpleIntCriterion.py,
	  types/criteria/ATSimpleStringCriterion.py,
	  types/criteria/ATSortCriterion.py, types/criteria/__init__.py,
	  types/criteria/schemata.py: Updated to HEAD, renamed Restrain* to
	  Constrain* at Alan's request and Tiran's approval. All tests
	  pass.

2004-08-09 09:44  tiran

	* Extensions/batchCreate.py, Extensions/findStaledObjects.py,
	  docs/HISTORY.txt, migration/ATCTMigrator.py,
	  migration/CPTMigrator.py, migration/Walker.py: Recoded migration
	  walkers to use a generator instead returning a list to make them
	  much more memory efficient.

	  Rewritten folder migration to use the depth inside the folder
	  structur instead of recursing into the full side.

	  Added a findStaledObjects external method to ATCT to find staled
	  objects. It is very useful to clean up a site before running the
	  migration.

2004-08-06 22:13  tiran

	* docs/: ExtendingType.txt, HISTORY.txt: Added ExtendingType

2004-08-06 16:27  tiran

	* skins/ATContentTypes/atct_history.pt, HistoryAware.py: Renamed
	  tab from history to last changes Added big warning that the
	  history is based on zodb revisions

2004-08-06 01:51  tiran

	* docs/HISTORY.txt, types/schemata.py, tests/ATCTSiteTestCase.py:
	  Set description as primary field for ATEvent. Also use an easier
	  syntax for setting description to isMetadata = False.

2004-08-05 01:15  tiran

	* migration/Migrator.py: it's aq_base, not aq_explicit ...

2004-08-04 17:13  tiran

	* docs/HISTORY.txt, migration/Migrator.py: Added talkback
	  discussion migration

2004-08-04 17:00  tiran

	* types/: ATContentType.py, ATDocument.py, ATEvent.py,
	  criteria/ATBaseCriterion.py: mark set() as ok

2004-08-04 16:52  tiran

	* migration/Migrator.py: Fixed property migration: continue if the
	  object already has this attribut

2004-08-04 16:48  tiran

	* docs/HISTORY.txt, migration/Migrator.py: Fixed migration:
	  Migration failed when there was a broken object in a folder

2004-08-04 16:48  tiran

	* migration/Walker.py: fixed raise command

2004-08-03 17:20  godchap

	* skins/ATContentTypes/criterion_save.cpy: should use accessor and
	  mutator

2004-08-01 19:49  tiran

	* types/: ATContentType.py, ATImage.py: Fixed problem with
	  isIDAutoGenerated if the object was not wrapped in a site Fixed
	  download tab Made image/file viewable when invoked directly by
	  adding an index_html Replaced tag method of ATImage

2004-07-28 19:56  tiran

	* __pkginfo__.py, docs/CHANGELOG.txt, docs/HISTORY.txt: Preparing
	  0.2.0-rc1 release

2004-07-28 19:54  tiran

	* Extensions/toolbox.py: Circumvent strange problem with
	  fixAfterRenameType which isn't easy to reproduce

2004-07-25 09:45  tiran

	* __init__.py, __pkginfo__.py, version.txt, docs/AUTHORS.txt,
	  docs/HISTORY.txt, docs/INSTALL.txt: Depend on new AT 1.3.0-beta3
	  release Changed ZMI add name of topic related types to
	  'ATContentTypes Topic' Added Gotcha to team list Preparing
	  0.2.0-rc1 release

2004-07-24 09:54  godchap

	* docs/HISTORY.txt, types/ATTopic.py: Removed 'contents' tab and
	  'add new item' menu

2004-07-23 21:03  tiran

	* QuotaSupport.py, Extensions/Install.py: Added quote support code
	  to ATCT cvs. It's just the beginning of an idea but I need a
	  place to back up the work and cvs is a good place :)

2004-07-23 20:53  tiran

	* types/: schemata.py, criteria/schemata.py: Reformatted schemata
	  definition in source code to make it more readable Use
	  Schema.copy() to define ATExt* from AT* equivalent

2004-07-23 20:53  tiran

	* types/ATContentType.py: changed comment

2004-07-23 18:40  tiran

	* Extensions/batchCreate.py: Added small toy for load tests

2004-07-22 14:31  godchap

	* skins/ATContentTypes/: atct_macros.pt, criterion_edit_form.cpt:
	  i18n fix plus formatting

2004-07-22 14:23  godchap

	* skins/ATContentTypes/atct_macros.pt,
	  skins/ATContentTypes/criterion_edit_form.cpt, docs/HISTORY.txt:
	  change criteria tab to table UI

2004-07-22 12:16  godchap

	* docs/HISTORY.txt,
	  skins/ATContentTypes/criterion_edit_form.cpt.metadata,
	  skins/ATContentTypes/validate_remove_criterion.vpy: added message
	  when clicking remove on criteria without selecting first

2004-07-21 17:36  tiran

	* version.txt, docs/CHANGELOG.txt, docs/HISTORY.txt: Preparing
	  beta8 release

2004-07-21 17:22  tiran

	* types/ATImage.py, docs/HISTORY.txt, docs/INSTALL.txt: Added
	  getSize, getHeight, getWidth methods and width/height attributes
	  to ATImage

2004-07-19 14:01  godchap

	* docs/HISTORY.txt, types/criteria/ATSortCriterion.py: cosmetics

2004-07-19 13:57  godchap

	* docs/HISTORY.txt,
	  skins/ATContentTypes/criterion_edit_form.cpt.metadata,
	  types/criteria/ATSortCriterion.py, types/criteria/__init__.py,
	  skins/ATContentTypes/validate_set_sort.vpy: Added validation for
	  setup of sort order on topics

2004-07-13 15:12  dreamcatcher

	* ATContentTypes.py, CalendarSupport.py, HistoryAware.py,
	  Permissions.py, RestrainTypesMixin.py, Validators.py,
	  __init__.py, config.py, Extensions/Install.py,
	  Extensions/__init__.py, Extensions/migrateFromCMF.py,
	  Extensions/migrateFromCPT.py, Extensions/toolbox.py,
	  Extensions/utils.py, migration/ATCTMigrator.py,
	  migration/CPTMigrator.py, migration/Migrator.py,
	  migration/Walker.py, migration/common.py,
	  skins/ATContentTypes/formatHistoryDiff.py,
	  skins/ATContentTypes/isATCTbased.py, tests/ATCTSiteTestCase.py,
	  tests/framework.py, tests/testATDocument.py,
	  tests/testATEvent.py, tests/testATFavorite.py,
	  tests/testATFile.py, tests/testATFolder.py, tests/testATImage.py,
	  tests/testATLink.py, tests/testATNewsItem.py,
	  types/ATContentType.py, types/ATDocument.py, types/ATEvent.py,
	  types/ATFavorite.py, types/ATFile.py, types/ATFolder.py,
	  types/ATImage.py, types/ATLink.py, types/ATNewsItem.py,
	  types/ATTopic.py, types/__init__.py, types/schemata.py,
	  types/criteria/ATBaseCriterion.py,
	  types/criteria/ATDateCriteria.py,
	  types/criteria/ATListCriterion.py,
	  types/criteria/ATPortalTypeCriterion.py,
	  types/criteria/ATSimpleIntCriterion.py,
	  types/criteria/ATSimpleStringCriterion.py,
	  types/criteria/ATSortCriterion.py, types/criteria/__init__.py,
	  types/criteria/schemata.py: Remove interface.py backwards compat.
	  We probably require zope 2.7 anyway for Archetypes and Plone by
	  the time this gets released. Reindent some too long lines.
	  Cleanup style in some places, though not all.

2004-07-12 12:15  godchap

	* types/criteria/__init__.py: FieldIndex for created or modified
	  was not known among DATE_INDICES

2004-07-11 20:31  tiran

	* docs/HISTORY.txt, types/ATFavorite.py: Reenable implicitly
	  addable for ATFavorite Updated HISTORY

2004-07-11 20:30  tiran

	* types/criteria/schemata.py: Changed time range ints in
	  FriendlyDateCriterion to strings

2004-07-11 20:28  tiran

	* Validators.py: Fixed validation problem with mx tidy validator
	  and file uploads

2004-07-09 01:09  shh42

	* migration/Walker.py: Comment a debug print.

2004-07-05 00:34  tiran

	* types/ATDocument.py: fixed wrong copy 'n paste

2004-07-05 00:09  tiran

	* types/ATDocument.py: Fixed ugly bug: the content type got lost
	  when copying a portal

2004-07-04 19:25  tiran

	* types/schemata.py: Reverted limi's changes because the impacts
	  and problems doesn't equiponderate the benefits. Thumbnails are
	  generated at image upload time.

2004-07-04 16:05  limi

	* types/schemata.py: Oops, forgot to change one of the
	  thumb->thumbnail references.

2004-07-04 03:05  limi

	* types/schemata.py: Changed the "thumb" format name to be
	  "thumbnail" instead. None of the other names were abbreviated, so
	  to minimize confusion, it's better this way. :)

2004-06-28 23:00  godchap

	* types/criteria/__init__.py: added unregisterCriterion

2004-06-28 13:57  godchap

	* skins/ATContentTypes/atct_topic_view.pt: added missing document
	  actions

2004-06-27 18:59  tiran

	* __pkginfo__.py, version.txt, docs/HISTORY.txt, docs/INSTALL.txt:
	  Preparing 0.2beta7

2004-06-27 18:41  tiran

	* docs/: CHANGELOG.txt, HISTORY.txt: Updated documentation

2004-06-27 18:39  tiran

	* types/ATEvent.py: Fixed doc strings

2004-06-27 18:38  tiran

	* types/ATEvent.py: Added validation for end date must be after
	  start date

2004-06-27 18:31  tiran

	* Extensions/: toolbox.py, utils.py: Fixed issues with content type
	  registry and templates after switching

2004-06-27 18:31  tiran

	* ATContentTypes.py, __init__.py: Added a list of ATCT types to
	  __init__

2004-06-27 00:46  yenzenz

	* types/ATContentType.py: make it possible to derive from ATCT's or
	  to use ATCT as an API.  btw: tests are running fine here :)

2004-06-24 23:56  tiran

	* __init__.py, config.py, customconfig.py.example,
	  Extensions/toolbox.py, Extensions/utils.py, types/schemata.py:
	  Default type of ATDocument and ATNewsItem is configurable in
	  customconfig.py

2004-06-24 22:59  tiran

	* migration/: Walker.py, common.py: Fixed migration for people
	  without LinguaPlone

2004-06-24 21:47  tiran

	* docs/HISTORY.txt, migration/Migrator.py,
	  tests/ATCTSiteTestCase.py, tests/common.py,
	  tests/testATDocument.py, tests/testATEvent.py,
	  tests/testATFavorite.py, tests/testATFile.py,
	  tests/testATFolder.py, tests/testATImage.py, tests/testATLink.py,
	  tests/testATNewsItem.py, types/ATContentType.py: fixed migration
	  of mod date, fixed tests, moved field tests to site tests

2004-06-24 12:59  tiran

	* docs/HISTORY.txt: updated docs

2004-06-24 12:50  tiran

	* Extensions/toolbox.py: Reindex only Type, portal_type and
	  meta_type in switching script

2004-06-24 12:47  tiran

	* types/ATContentType.py: Misc cleanup of ATContentType base
	  classes

2004-06-24 12:47  tiran

	* config.py: Added - as valid char for ids

2004-06-24 12:46  tiran

	* migration/Walker.py: Fixed migration problem when LinguaPlone was
	  installed

2004-06-24 12:32  tiran

	* migration/Walker.py: better migration error output

2004-06-24 11:10  tiran

	* types/schemata.py: Made ATImage and ATFile image/file language
	  independend. We could add a I18NFile and I18NImage later if
	  required (like Zope3 :)

2004-06-24 01:53  tiran

	* Extensions/toolbox.py, types/ATContentType.py: moved to new
	  markCreationFlag changed klass.portal_type on switching#

2004-06-20 20:45  tiran

	* types/: ATContentType.py, ATEvent.py, ATFile.py, ATImage.py:
	  fixed upload renaming including new validation

2004-06-20 18:22  tiran

	* Extensions/toolbox.py, docs/HISTORY.txt: Fix for Members folder

2004-06-20 17:13  tiran

	* CalendarSupport.py, HistoryAware.py, Validators.py, config.py,
	  Extensions/Install.py, Extensions/toolbox.py,
	  migration/ATCTMigrator.py, migration/CPTMigrator.py,
	  migration/Migrator.py, tests/ATCTSiteTestCase.py,
	  types/ATFavorite.py, types/ATFile.py, types/ATFolder.py,
	  types/ATImage.py, types/ATLink.py, types/ATNewsItem.py,
	  types/schemata.py, types/criteria/ATBaseCriterion.py,
	  types/criteria/ATDateCriteria.py,
	  types/criteria/ATListCriterion.py,
	  types/criteria/ATPortalTypeCriterion.py,
	  types/criteria/ATSimpleIntCriterion.py,
	  types/criteria/ATSimpleStringCriterion.py,
	  types/criteria/ATSortCriterion.py: Removed unnecessary imports

2004-06-20 16:06  tiran

	* types/: ATContentType.py, ATFolder.py: Moved some Code from
	  ATFolder to ATContentType Fixed problem with index_html in
	  ATBTreeFolder

2004-06-20 01:06  tiran

	* types/ATContentType.py: disabled debugging

2004-06-20 01:04  tiran

	* version.txt, docs/CHANGELOG.txt, docs/HISTORY.txt,
	  docs/INSTALL.txt: preparing 0.2beta6 release

2004-06-20 00:47  tiran

	* migration/Walker.py, types/ATContentType.py: better portal
	  handling in migration, do not fail when mark_creation_flag is not
	  accessable

2004-06-18 18:00  tiran

	* types/ATEvent.py: setEventType: None -> (), string value ->
	  (value,)

2004-06-18 18:00  tiran

	* types/ATFavorite.py: cmf_edit like ATLink

2004-06-18 17:59  tiran

	* types/: ATContentType.py, ATFile.py, ATImage.py: Better renaming
	  support for file uploads

2004-06-18 16:13  tiran

	* types/: ATContentType.py, ATLink.py: Fixed minor compat. issue in
	  ATLink Unit test logging in ATContentType.initializeArchetypes

2004-06-18 14:53  tiran

	* types/: ATContentType.py, ATEvent.py, ATLink.py: be compatible
	  with invokeFactory

2004-06-18 14:05  tiran

	* types/ATContentType.py: Removed ATCTFolderMixin

2004-06-18 01:22  tiran

	* config.py, customconfig.py.example, types/ATContentType.py,
	  types/ATTopic.py, types/schemata.py: moved RestrainMixin to
	  jensens-restrain_mixin-branch until he has time to fix and write
	  some unit tests

2004-06-16 22:02  tiran

	* config.py: larger char map

2004-06-15 13:48  yenzenz

	* customconfig.py.example: added custom example for RestrainTypes

2004-06-15 13:47  yenzenz

	* RestrainTypesMixin.py: make mixin LinguaPlone aware

2004-06-14 02:37  tiran

	* tests/: ATCTSiteTestCase.py, framework.py, runalltests.py,
	  testATFile.py: Updated test suit from ZTC, more tests for ATFile

2004-06-13 23:49  tiran

	* tests/: ATCTSiteTestCase.py, ATCTTestCase.py, common.py,
	  testATDocument.py, testATEvent.py, testATFavorite.py,
	  testATFile.py, testATFolder.py, testATImage.py, testATLink.py,
	  testATNewsItem.py: reworked tests

2004-06-13 23:48  tiran

	* types/: ATContentType.py, ATFile.py, ATImage.py: some more cmf
	  compatibility methods

2004-06-13 02:06  tiran

	* Permissions.py, config.py, types/ATContentType.py,
	  types/ATDocument.py, types/ATEvent.py, types/ATFile.py,
	  types/ATImage.py, types/ATNewsItem.py, types/schemata.py: * Added
	  translateMimetypeAlias for old cmf content types * Use
	  ChangeEvents for ATEvent * Moved cleanupFilename

2004-06-13 01:38  tiran

	* skins/ATContentTypes/isATCTbased.py: Added interface test for
	  objects to be ATCT based

2004-06-12 13:58  tiran

	* docs/INSTALL.txt: Note for docutils 0.3.3+

2004-06-10 17:19  tiran

	* migration/ATCTMigrator.py, types/ATContentType.py,
	  types/ATDocument.py, types/ATFile.py, types/ATImage.py,
	  types/ATTopic.py, types/schemata.py: Fixed mixed problems with
	  migration and ATEvent Fixed Security Added synContentValues for
	  syndication to ATTopic

2004-06-10 11:00  tiran

	* types/: ATEvent.py, ATImage.py: Fixed bugs in new cmf_edit
	  methods

2004-06-10 10:30  tiran

	* config.py: Disabled RestrainMixin because there aren't working
	  for me in branches/plone-atct-migration

2004-06-10 10:25  tiran

	* types/ATContentType.py:  ups :) Fixed brain melt bug

2004-06-10 00:31  yenzenz

	* RestrainTypesMixin.py, config.py, docs/AUTHORS.txt,
	  docs/CHANGELOG.txt, docs/HISTORY.txt, docs/TODO.txt,
	  types/ATContentType.py, types/schemata.py: Added RestrainedTypes
	  support, which allows to restrain (restrict) the allowed types on
	  any AT[*]Folder based on FTI/portal_types + parents restrictions
	  + local restriction per folder instance.

2004-06-09 15:59  tiran

	* docs/HISTORY.txt, migration/ATCTMigrator.py,
	  types/ATContentType.py, types/ATDocument.py, types/ATEvent.py,
	  types/ATImage.py, types/ATLink.py, types/ATNewsItem.py: Added
	  edit() backward compatibility methods

2004-06-06 17:36  tiran

	* tests/ATCTTestCase.py: test for mutable dc

2004-06-06 17:26  tiran

	* tests/: ATCTTestCase.py, testATFile.py, testATImage.py,
	  testSkeletonTest.py: Fixed some unit tests, added unit tests for
	  interfaces

2004-06-06 12:09  tiran

	* migration/Walker.py: Added a hack to work around _verifyPaste and
	  implicitly addable

2004-06-03 04:24  tiran

	* types/ATDocument.py: Fixed security

2004-06-01 14:18  godchap

	* docs/HISTORY.txt,
	  skins/ATContentTypes/criterion_edit_form.cpt.metadata,
	  skins/ATContentTypes/validate_add_criterion.vpy,
	  types/ATTopic.py, types/criteria/__init__.py: Added validation of
	  Criterion support for a specific index

2004-06-01 11:10  zworkb

	* types/criteria/ATDateCriteria.py: added missing import of
	  DateTime

2004-06-01 10:21  godchap

	* skins/ATContentTypes/criterion_edit_form.cpt: fix for newline in
	  python expression

2004-05-31 18:22  tiran

	* docs/HISTORY.txt: Updated history

2004-05-31 18:21  tiran

	* migration/: ATCTMigrator.py, CPTMigrator.py, Migrator.py,
	  Walker.py: Nicer output

2004-05-31 18:20  tiran

	* types/ATDocument.py: Added EditableBody() method

2004-05-31 18:20  tiran

	* types/ATTopic.py: Fixed last addition: Always use mutators and
	  accessors!

2004-05-31 11:42  godchap

	* types/: ATTopic.py, schemata.py: added ability to limit the
	  number of items displayed by a topic

2004-05-30 16:51  godchap

	* types/schemata.py: finish my correction

2004-05-30 16:46  godchap

	* types/schemata.py: oops, correct last checkin that I should not
	  have done

2004-05-30 16:13  godchap

	* types/: schemata.py, criteria/ATPortalTypeCriterion.py,
	  criteria/__init__.py, criteria/schemata.py: portal_type criteria
	  offers selection list

2004-05-26 10:55  tiran

	* types/: ATContentType.py, ATFile.py, ATImage.py: Moved code for
	  file handling to ATCTFileContent

2004-05-26 10:54  tiran

	* skins/ATContentTypes/validate_atct.vpy: Set the title from
	  filename if empty

2004-05-26 09:52  tiran

	* types/ATFile.py: Fixed minor issue in the TXNG2 hook method

2004-05-26 04:54  tiran

	* config.py, customconfig.py.example, docs/HISTORY.txt,
	  types/schemata.py: Added max upload size validator to ATFile and
	  ATImage

2004-05-24 21:21  yenzenz

	* docs/CHANGELOG.txt: changed changelog

2004-05-24 21:10  yenzenz

	* types/ATFile.py: Content tabs shouldnt be visible for users with
	  view permission, the green frame is confuding for them ;) and the
	  same fucntionality is available with the link inside the content
	  view.  If someone want it he can change it by slighly modifing
	  ATFiles actions permissions.

2004-05-24 19:45  tiran

	* tests/: ATCTSiteTestCase.py, common.py, testATDocument.py,
	  testATEvent.py, testATFavorite.py, testATFile.py, testATImage.py,
	  testATLink.py, testATNewsItem.py: fixed unit tests

2004-05-24 13:29  tiran

	* docs/CHANGELOG.txt: updating changelog

2004-05-24 13:29  tiran

	* version.txt, docs/HISTORY.txt, docs/INSTALL.txt: Preparing beta5
	  release

2004-05-21 20:44  tiran

	* config.py, types/ATFile.py, types/ATImage.py: Automagically
	  setting id including filename cleanup

2004-05-21 20:22  tiran

	* types/: ATFile.py, ATImage.py: Added code for setting id
	  according to the filename

2004-05-21 11:12  tiran

	* skins/ATContentTypes/atct_edit.cpt: Shrinked edit template by
	  reusing the base_edit template

2004-05-21 09:44  tiran

	* CalendarSupport.py, Extensions/Install.py, docs/HISTORY.txt,
	  tests/ATCTSiteTestCase.py, tests/common.py,
	  tests/testATDocument.py, tests/testATEvent.py, types/ATFile.py,
	  types/ATImage.py: Fixed a bunch of bugs reported on SF.net

2004-05-21 09:11  tiran

	* HistoryAware.py: Security fixes Add more comments

2004-05-21 01:54  lele

	* tests/testATDocument.py: New test against loosing content type
	  upon renaming.

2004-05-21 00:59  tiran

	* types/ATDocument.py: Fixed from lelit for migration problem

2004-05-20 14:44  tesdal

	* tests/ATCTSiteTestCase.py, types/schemata.py: Added
	  languageIndependent to some of the Event fields.  Made the tests
	  run again. Now they don't pass, but that should be due to AT
	  tests not passing.

2004-05-18 22:40  tiran

	* types/schemata.py: Moved to new ValidationChain syntax

2004-05-17 17:41  tiran

	* types/: ATFile.py, ATImage.py: Fixed #955271 content type and
	  filename not correctly set

2004-05-17 17:40  tiran

	* CalendarSupport.py: Fixed LF

2004-05-15 03:54  tiran

	* tests/: ATCTSiteTestCase.py, ATCTTestCase.py, common.py,
	  testATDocument.py, testATEvent.py, testATFavorite.py,
	  testATFile.py, testATFolder.py, testATImage.py, testATLink.py,
	  testATNewsItem.py: Moved field test into a site based test
	  Wrapped dummies into a wrapper in the site

2004-05-15 03:53  tiran

	* config.py, types/ATContentType.py, types/ATDocument.py,
	  types/ATEvent.py, types/ATFavorite.py, types/ATFile.py,
	  types/ATFolder.py, types/ATImage.py, types/ATLink.py,
	  types/ATNewsItem.py, types/ATTopic.py: Introduced
	  HAS_LINGUA_PLONE constant

2004-05-15 02:54  tiran

	* docs/HISTORY.txt: Added LinguaPlone

2004-05-15 02:52  tiran

	* types/: ATContentType.py, ATDocument.py, ATEvent.py,
	  ATFavorite.py, ATFile.py, ATFolder.py, ATImage.py, ATLink.py,
	  ATNewsItem.py, ATTopic.py: Changed import from LinguaPlone -
	  Explicit is better than Implicit!

2004-05-15 02:51  tiran

	* tests/: ATCTTestCase.py, runtests.sh.example, testATDocument.py,
	  testATEvent.py, testATFavorite.py, testATFile.py, testATImage.py,
	  testATLink.py, testATNewsItem.py: Fixed types (validation was out
	  of date)

2004-05-14 14:36  godchap

	* types/: ATEvent.py, ATFile.py, ATFolder.py, ATImage.py,
	  ATLink.py, ATNewsItem.py: last types compliant to LinguaPlone

2004-05-14 14:07  godchap

	* types/: ATDocument.py, ATTopic.py: first types compliant to
	  LinguaPlone

2004-05-14 13:40  godchap

	* skins/ATContentTypes/criterion_edit_form.cpt,
	  skins/ATContentTypes/criterion_edit_form.cpt.metadata,
	  skins/ATContentTypes/criterion_set_sort.cpy,
	  skins/ATContentTypes/criterion_set_sort.cpy.metadata,
	  types/ATTopic.py, types/criteria/ATDateCriteria.py,
	  types/criteria/ATListCriterion.py,
	  types/criteria/ATSimpleIntCriterion.py,
	  types/criteria/ATSimpleStringCriterion.py,
	  types/criteria/ATSortCriterion.py, types/criteria/__init__.py:
	  ifirst step at improving user experience with  criteria view

2004-05-14 06:12  godchap

	* skins/ATContentTypes/atct_topic_view.pt, types/ATTopic.py: added
	  view ala folder_listing to ATTopic

2004-05-12 17:53  tiran

	* docs/INSTALL.txt, types/schemata.py: Updating TemplateMixin
	  (merged to AT 1.3)

2004-05-12 01:56  lele

	* skins/ATContentTypes/atct_macros.pt, i18n/atct-plone-it.po,
	  i18n/atct-plone.pot: Added the i18n pot file and the italian
	  translation.

2004-05-12 00:56  lele

	* types/ATTopic.py: Inserted the description msgid.

2004-05-11 17:12  lele

	* types/criteria/schemata.py: Completed the i18n definitions of the
	  criterions.

2004-05-11 17:10  lele

	* skins/ATContentTypes/atct_macros.pt: Fix the i18n of the fieldset
	  title label.

2004-05-10 02:34  tiran

	* types/criteria/: ATBaseCriterion.py, ATDateCriteria.py,
	  ATListCriterion.py, ATSimpleIntCriterion.py,
	  ATSimpleStringCriterion.py, ATSortCriterion.py, __init__.py:
	  Second stage

2004-05-10 02:24  tiran

	* types/criteria/.cvsignore: added cvsignore

2004-05-10 02:23  tiran

	* types/: ATTopic.py, criteria/ATBaseCriterion.py,
	  criteria/ATDateCriteria.py, criteria/ATListCriterion.py,
	  criteria/ATSimpleIntCriterion.py,
	  criteria/ATSimpleStringCriterion.py, criteria/ATSortCriterion.py,
	  criteria/__init__.py: Working on limi's idea for a better topic
	  ui

2004-05-10 01:15  tiran

	* Validators.py: Removed debug print statement

2004-05-06 14:14  tiran

	* CalendarSupport.py: Seperated view from get method

2004-05-06 05:30  tiran

	* CalendarSupport.py: Fixed iCal/vCal (all praise my insomnia)

2004-05-06 04:28  tiran

	* CalendarSupport.py, docs/HISTORY.txt, types/ATEvent.py: Added
	  iCal/vCal support to AT Event The new feature isn't working due
	  some coding bugs so don't try it. I'm too tired to work on and I
	  want to backup my work to cvs.

2004-05-04 21:33  tiran

	* Extensions/: migrateFromCMF.py, migrateFromCPT.py: switch back to
	  default before migration

2004-05-04 21:03  tiran

	* docs/CHANGELOG.txt: updated changelog

2004-05-04 21:02  tiran

	* __pkginfo__.py, version.txt, docs/AUTHORS.txt, docs/HISTORY.txt,
	  docs/INSTALL.txt: Preparing 0.2-beta4

2004-05-04 20:51  tiran

	* Extensions/toolbox.py: fixed tests

2004-05-04 20:26  tiran

	* types/: ATContentType.py, ATFolder.py: Fixed reported UI bugs
	  (sharing, folder contents)

2004-05-04 20:26  tiran

	* Extensions/: Install.py, toolbox.py, utils.py: Fixed minor
	  problems with switching Added test before switching Added doc
	  strings

2004-05-03 00:09  tiran

	* types/schemata.py: Fixed ATCT to work with missing
	  ExternalStorage

2004-05-02 20:59  tiran

	* Extensions/utils.py: fixed missing import

2004-05-02 20:26  tiran

	* migration/.cvsignore: added cvsignore file

2004-05-02 20:21  tiran

	* skins/ATContentTypes/addtoFavorites.py: removed addToFavorite.py
	  Migrate and switch to ATCT to use AT Favorite

2004-05-01 19:14  tiran

	* Extensions/toolbox.py: Addef fix from lelit: Migrate the types in
	  the content type registry, too

2004-05-01 18:55  tiran

	* Extensions/: Install.py, utils.py: Moved utilities out of Install

2004-04-29 16:08  tiran

	* types/ATFile.py, types/ATImage.py, types/schemata.py, config.py,
	  customconfig.py.example: Adding first ExternalStorage
	  implementation (just experimental) It will be possibly replaces
	  by a ReplaceableStorageLayer

2004-04-29 16:05  tiran

	* tests/: testATDocument.py, testATEvent.py, testATFavorite.py,
	  testATLink.py, testATNewsItem.py: updated unit text to reflect
	  small changes

2004-04-27 02:17  tiran

	* config.py: Forget to checkin configuration for external storage

2004-04-26 08:34  tiran

	* docs/HISTORY.txt: updated history

2004-04-26 08:32  tiran

	* Extensions/: Install.py, toolbox.py: Fixed and improved the
	  switch from/to ATCT methods

2004-04-26 08:30  tiran

	* types/: ATContentType.py, ATDocument.py, ATEvent.py,
	  ATFavorite.py, ATFile.py, ATFolder.py, ATImage.py, ATLink.py,
	  ATNewsItem.py, ATTopic.py, schemata.py: Added default_view class
	  var Changed newTypeFor to a tuple

2004-04-26 08:29  tiran

	* docs/INSTALL.txt: Updated install  text: Changed versions, added
	  zope configuration note

2004-04-26 08:28  tiran

	* migration/: ATCTMigrator.py, CPTMigrator.py, Migrator.py: Fixed
	  misc problems with the migration system

2004-04-24 19:50  tiran

	* Field.py, ReplaceableStorage.py, types/ATImage.py,
	  types/schemata.py: Experimental replaceable storage (doesn't work
	  yet)

2004-04-23 11:54  tiran

	* docs/HISTORY.txt, types/ATDynDocument.py, types/__init__.py,
	  types/schemata.py: Moving ATDynDocument to a seperate product

2004-04-23 01:26  tiran

	* Validators.py, docs/HISTORY.txt, types/ATDynDocument.py,
	  types/__init__.py, types/schemata.py: Added ATDynDocument - a
	  CMFDynamicDocument like implementation for AT Content Types

2004-04-22 14:17  tiran

	* types/schemata.py: Using new validation schema

2004-04-20 23:35  tiran

	* Validators.py: Removed empty validators

2004-04-20 02:28  tiran

	* docs/CHANGELOG.txt: updated changelog for 0.2-beta3

2004-04-20 02:27  tiran

	* __pkginfo__.py, version.txt, docs/HISTORY.txt, docs/INSTALL.txt:
	  Preparing 0.2-beta3 release

2004-04-18 19:06  tiran

	* docs/HISTORY.txt, skins/ATContentTypes/addtoFavorites.py,
	  types/schemata.py: Fixed default view of ATBTreeFolder and
	  ATFolder (stage 2) Both types are using ATContentTypeSchema with
	  TemplateMixinSchema (thx to skaar again)

2004-04-17 22:06  tiran

	* docs/CHANGELOG.txt: updated changelog

2004-04-17 22:04  tiran

	* docs/HISTORY.txt: Updated history Added contributor to each entry

2004-04-17 22:02  tiran

	* types/ATFolder.py: Fixed default view of ATBTreeFolder

2004-04-17 21:46  yenzenz

	* types/ATFavorite.py: fixed NameError: global name 'url' is not
	  defined it appeared while adding a Favorite

2004-04-17 21:31  tiran

	* skins/ATContentTypes/atct_edit.cpt: Fixed wrong closing tag (thx
	  to skaar)

2004-04-17 06:27  dtremea

	* tests/common.py: Standardized 'quiet' argument for
	  installProduct. Fixed typos on ExeATCTion.

2004-04-15 22:16  tiran

	* skins/ATContentTypes/: atct_edit.cpt, atct_macros.pt,
	  criterion_edit_form.cpt, criterion_macros.pt: Renamed
	  criterion_macros to atct_macros Moved typedescription to
	  atct_macros Merged base_edit Fixed tab index problem

2004-04-15 21:42  tiran

	* types/ATContentType.py: Added missing Sharing tab for content
	  items

2004-04-15 21:42  tiran

	* skins/ATContentTypes/atct_edit.cpt: fixed a possible problem with
	  translate()

2004-04-15 18:16  tiran

	* docs/: CHANGELOG.txt, HISTORY.txt: Updated history/changelog

2004-04-15 18:10  tiran

	* Extensions/: Install.py, switchOldPloneTypes.py, toolbox.py:
	  renamed switchOldPloneTypes.py to toolbox added
	  recreateATImageScales

2004-04-15 18:08  tiran

	* README.txt, __pkginfo__.py: added bug tracker info

2004-04-14 17:56  ajung

	* types/schemata.py: whitespace fix

2004-04-13 14:13  limi

	* version.txt, skins/ATContentTypes/atct_history.pt,
	  skins/ATContentTypes/formatHistoryDiff.py: Removed the CSS
	  import, made ATCT use the Plone classes instead. Requires latest
	  2.0 brach checkout of Plone for correct visual display.

2004-04-12 03:38  tiran

	* Validators.py, config.py, types/schemata.py: Try to make the
	  validators *really* failsafe

2004-04-11 21:44  tiran

	* types/ATContentType.py: reenabled external editor icon in
	  folder_contents

2004-04-11 20:25  tiran

	* docs/CHANGELOG.txt: update changelog

2004-04-11 19:54  tiran

	* __pkginfo__.py, version.txt, docs/HISTORY.txt: preparing next
	  release

2004-04-11 19:54  tiran

	* docs/: atct-uml.png, atct-uml.zuml: Added uml diagram of ATCT
	  classes

2004-04-11 14:35  tiran

	* docs/: CHANGELOG.txt, HISTORY.txt: Added Changelog Updated
	  history

2004-04-11 14:33  tiran

	* customconfig.py.example: Added missing file

2004-04-11 14:32  tiran

	* Validators.py, types/schemata.py: Update validators to reflect
	  the last changes and fixes of the archetypes and validation
	  packages.

2004-04-10 21:40  tiran

	* types/schemata.py: Changend image sizes according to limis rules

2004-04-10 18:31  tiran

	* .cvsignore, __init__.py, config.py, types/schemata.py: Changed
	  TemplateMixin field from invisible to hidden Added support for
	  customconfig and a customconfig.py.example file

2004-04-10 00:28  tiran

	* __pkginfo__.py, version.txt, Extensions/Install.py,
	  docs/HISTORY.txt, docs/INSTALL.txt, migration/CPTMigrator.py:
	  Preparing a first beta version with some scary release notes

2004-04-10 00:02  tiran

	* skins/ATContentTypes/atct_edit.cpt,
	  skins/ATContentTypes/atct_edit.cpt.metadata,
	  types/ATContentType.py, types/ATDocument.py, types/ATEvent.py,
	  types/ATFavorite.py, types/ATFile.py, types/ATFolder.py,
	  types/ATImage.py, types/ATLink.py, types/ATNewsItem.py,
	  types/ATTopic.py, types/schemata.py,
	  types/criteria/ATBaseCriterion.py,
	  types/criteria/ATDateCriteria.py,
	  types/criteria/ATListCriterion.py,
	  types/criteria/ATSimpleIntCriterion.py,
	  types/criteria/ATSimpleStringCriterion.py,
	  types/criteria/ATSortCriterion.py, types/criteria/schemata.py:
	  Multiple small fixes i18n stuff

2004-04-08 23:37  yenzenz

	* skins/ATContentTypes/atct_edit.cpt: fixed KeyError: isLocked on
	  calling atct_edit.pt with AT HEAD

2004-04-05 16:56  tiran

	* migration/Migrator.py, types/ATEvent.py, types/ATFile.py: Fixed
	  and optimised migration

2004-04-04 23:49  tiran

	* __pkginfo__.py, version.txt: increased version number to alpha4

2004-04-04 23:48  tiran

	* types/: ATContentType.py, ATDocument.py, ATEvent.py,
	  ATFavorite.py, ATFile.py, ATImage.py, ATLink.py, ATNewsItem.py,
	  ATTopic.py: recode some methods to remove bar exceptions cleaned
	  up other XXX added security assertions fixed implementation of AT
	  Event rewrote some doc strings

2004-04-04 23:47  tiran

	* HistoryAware.py: fixed get member code

2004-04-04 23:46  tiran

	* skins/ATContentTypes/atct_history.pt: use member object or
	  username

2004-04-04 23:46  tiran

	* migration/Migrator.py: recoded the createNew() method. Now it
	  works even with types that have global_allow = 0 because it's
	  using the type information instead of the factory tool

2004-04-02 23:30  tiran

	* HistoryAware.py, config.py, version.txt,
	  skins/ATContentTypes/atct_history.pt,
	  skins/ATContentTypes/atct_history.pt.metadata,
	  skins/ATContentTypes/atdocument_history.pt,
	  skins/ATContentTypes/atdocument_history.pt.metadata,
	  types/ATDocument.py, types/schemata.py: Moved HistoryAware to a
	  seperate file and mixin class

2004-03-31 19:22  tiran

	* Extensions/Install.py, types/ATDocument.py: guess  the content
	  type of the text field for webdav/ftp upload

2004-03-31 13:04  tiran

	* types/ATDocument.py: Fixed ftp upload

2004-03-30 14:24  tiran

	* skins/ATContentTypes/: atcontenttypes.css.dtml,
	  atcontenttypes.css.dtml.metadata, atdocument_history.pt,
	  atdocument_history.pt.metadata, formatHistoryDiff.py: I forgot
	  these templates ...

2004-03-29 23:55  yenzenz

	* types/criteria/ATBaseCriterion.py: added missing import of
	  BaseContentMixin - at least needed for AT 1.2.5

2004-03-29 18:44  tiran

	* config.py, docs/AUTHORS.txt, docs/INSTALL.txt,
	  types/ATContentType.py, types/ATDocument.py, types/schemata.py: *
	  Finished TemplateMixin * Added document history

2004-03-29 09:23  tiran

	* types/criteria/schemata.py: Moved criteria schemata to a seperate
	  file

2004-03-29 09:20  tiran

	* Extensions/Install.py, docs/AUTHORS.txt, docs/TODO.txt,
	  types/ATContentType.py, types/ATDocument.py, types/ATEvent.py,
	  types/ATFavorite.py, types/ATFile.py, types/ATFolder.py,
	  types/ATImage.py, types/ATLink.py, types/ATNewsItem.py,
	  types/ATTopic.py, types/schemata.py,
	  types/criteria/ATBaseCriterion.py,
	  types/criteria/ATDateCriteria.py,
	  types/criteria/ATListCriterion.py,
	  types/criteria/ATSimpleIntCriterion.py,
	  types/criteria/ATSimpleStringCriterion.py,
	  types/criteria/ATSortCriterion.py: Added support for
	  TemplateMixin Updated AUTHORS.txt

2004-03-27 23:24  tiran

	* docs/AUTHORS.txt: updated author list

2004-03-27 23:22  tiran

	* Extensions/Install.py: move extension based rules to the top

2004-03-27 23:21  tiran

	* types/ATFile.py: [no log message]

2004-03-20 20:22  tiran

	* Validators.py, config.py: and more fixes for the validator

2004-03-20 19:41  tiran

	* Validators.py, Extensions/Install.py: more small fixes

2004-03-20 17:08  tiran

	* Validators.py, config.py, Extensions/Install.py,
	  types/ATDocument.py, types/ATEvent.py, types/ATFavorite.py,
	  types/ATFile.py, types/ATFolder.py, types/ATImage.py,
	  types/ATLink.py, types/ATNewsItem.py, types/ATTopic.py: * Fixed
	  small bug in Validator (thx to Volker Bachschneider) * Fixed
	  problem with workflow security (thx to Volker Bachschneider) *
	  Added more interfaces * Now registering ATContentTypes in
	  content_type_registry

2004-03-19 18:50  tiran

	* config.py: changed options for mxTidy

2004-03-19 18:19  tiran

	* Validators.py, config.py,
	  skins/ATContentTypes/atct_edit.cpt.metadata,
	  skins/ATContentTypes/validate_atct.vpy, types/ATDocument.py,
	  types/schemata.py: added tidy html validator with clean up

2004-03-18 14:17  tiran

	* Extensions/Install.py, migration/ATCTMigrator.py,
	  migration/Migrator.py: updated migration adding missing file

2004-03-18 02:24  tiran

	* Validators.py, config.py, docs/INSTALL.txt, types/ATDocument.py:
	  Nearly finished mxTidy integration Updated docs

2004-03-17 21:46  tiran

	* Validators.py, config.py, types/ATDocument.py, types/schemata.py:
	  More work on mxTidy

2004-03-17 20:38  tiran

	* Validators.py, config.py, docs/INSTALL.txt, migration/Walker.py,
	  types/ATDocument.py, types/ATFile.py, types/schemata.py: *
	  Finished txng_get hook * Adding mxTidy validation support (work
	  in progress)

2004-03-16 21:33  tiran

	* __init__.py, config.py, Extensions/Install.py,
	  Extensions/migrateFromCMF.py, migration/ATCTMigrator.py,
	  migration/Migrator.py, migration/Walker.py, types/ATFolder.py:
	  Workflow settings more work on migration

2004-03-16 18:34  tiran

	* tests/testATEvent.py, types/ATEvent.py, types/schemata.py:
	  Updated / Fixed ATEvent + unit tests

2004-03-16 16:27  tiran

	* migration/ATCTMigrator.py, migration/CPTMigrator.py,
	  migration/Migrator.py, migration/Walker.py,
	  tests/ATCTSiteTestCase.py, tests/common.py,
	  tests/testATDocument.py, tests/testATEvent.py,
	  tests/testATFavorite.py, tests/testATFile.py,
	  tests/testATFolder.py, tests/testATImage.py, tests/testATLink.py,
	  tests/testATNewsItem.py: Fixed misc migration problems updated
	  unit test suit

2004-03-16 14:58  tiran

	* docs/AUTHORS.txt, docs/LICENSE.txt, docs/TODO.txt,
	  skins/ATContentTypes/addtoFavorites.py,
	  skins/ATContentTypes/favorite_broken_icon.gif,
	  skins/ATContentTypes/favorite_broken_icon.gif.metadata,
	  types/ATFavorite.py, types/ATFile.py, types/ATFolder.py,
	  types/ATTopic.py: * Added/Fixed broken icon * Added
	  addtoFavorite.py from plone 2 (changed) * Fixed missing imports
	  in ATFolder * Removed stalled debug code from ATTopic * Added
	  method for new TextIndexNG2 to ATFile

2004-03-14 00:25  yenzenz

	* Extensions/: Install.py, switchOldPloneTypes.py: added an
	  ExternalMethod to disable the old content types and rename the
	  new ones to the old names. its less confusing for the common
	  user.

	  this external methods are registered in portal on install and
	  removed on uninstall.  for future a configlet would be nice to
	  start and stop this methods would be a nice feature.

	  also someone should please check the security of the whole. iatm
	  i'am not very familiar with security on ExternalMethods.

2004-03-13 20:19  tiran

	* migration/Migrator.py: revert wrong unittest=1

2004-03-13 20:18  tiran

	* docs/INSTALL.txt: updated requirements

2004-03-13 20:14  tiran

	* types/: ATTopic.py, criteria/ATBaseCriterion.py,
	  criteria/ATDateCriteria.py, criteria/ATListCriterion.py,
	  criteria/ATSimpleIntCriterion.py,
	  criteria/ATSimpleStringCriterion.py, criteria/ATSortCriterion.py:
	  fixed some problems with ATTopic & criteria

2004-03-13 19:18  tiran

	* config.py, types/ATFolder.py, types/schemata.py: Moved some code
	  around. Now ATFolder doesn't depend on plone2 but uses the
	  features of Plone Folder if available

2004-03-13 19:17  tiran

	* types/ATFile.py: Fixed problem with download (thx to Markus
	  Koelle)

2004-03-10 13:13  tiran

	* Extensions/migrateFromCPT.py: added migration from CPT (untested)

2004-03-10 13:12  tiran

	* migration/: CPTMigrator.py, Migrator.py, __init__.py: Fixed
	  property migration added migration from CPT (untested)

2004-03-10 11:51  tiran

	* skins/ATContentTypes/atct_edit.cpt: fixed edit template and added
	  typesDescription

2004-03-08 18:54  tiran

	* tests/testATDocument.py, migration/Migrator.py,
	  tests/testATFavorite.py: More migration fixing (including unit
	  tests) I forgot to run the custom() method

2004-03-08 18:28  tiran

	* migration/Migrator.py: fixed migration package

2004-03-08 18:24  tiran

	* migration/: ATCTMigrator.py, Migrator.py, Walker.py, common.py:
	  fixed migration package

2004-03-08 18:04  tiran

	* README.txt, __pkginfo__.py, docs/INSTALL.txt, docs/README.txt:
	  updated documentation

2004-03-08 18:03  tiran

	* config.py: updated config (AT was modified)

2004-03-08 16:15  tiran

	* Validators.py, config.py: added configuration for validation
	  package importing

2004-03-08 11:48  tiran

	* .cvsignore, ATContentTypes.py, Permissions.py, README.txt,
	  Validators.py, __init__.py, __pkginfo__.py, config.py,
	  refresh.txt, version.txt, Extensions/Install.py,
	  Extensions/__init__.py, Extensions/migrateFromCMF.py,
	  docs/AUTHORS.txt, docs/HISTORY.txt, docs/INSTALL.txt,
	  docs/LICENSE.GPL, docs/LICENSE.ZPL, docs/LICENSE.txt,
	  docs/README.txt, docs/TODO.txt, migration/ATCTMigrator.py,
	  migration/Migrator.py, migration/Walker.py,
	  migration/__init__.py, migration/common.py,
	  skins/ATContentTypes/atct_edit.cpt,
	  skins/ATContentTypes/atct_edit.cpt.metadata,
	  skins/ATContentTypes/criterion_add.cpy,
	  skins/ATContentTypes/criterion_add.cpy.metadata,
	  skins/ATContentTypes/criterion_edit_form.cpt,
	  skins/ATContentTypes/criterion_edit_form.cpt.metadata,
	  skins/ATContentTypes/criterion_macros.pt,
	  skins/ATContentTypes/criterion_remove.cpy,
	  skins/ATContentTypes/criterion_remove.cpy.metadata,
	  skins/ATContentTypes/criterion_save.cpy,
	  skins/ATContentTypes/criterion_save.cpy.metadata,
	  tests/.cvsignore, tests/ATCTSiteTestCase.py,
	  tests/ATCTTestCase.py, tests/__init__.py, tests/common.py,
	  tests/framework.py, tests/runalltests.py,
	  tests/runtests.sh.example, tests/testATDocument.py,
	  tests/testATEvent.py, tests/testATFavorite.py,
	  tests/testATFile.py, tests/testATFolder.py, tests/testATImage.py,
	  tests/testATLink.py, tests/testATNewsItem.py,
	  tests/testSkeletonTest.py, types/.cvsignore, types/ATDocument.py,
	  types/ATEvent.py, types/ATFavorite.py, types/ATFile.py,
	  types/ATFolder.py, types/ATImage.py, types/ATLink.py,
	  types/ATNewsItem.py, types/ATTopic.py, types/__init__.py,
	  types/schemata.py, types/criteria/ATBaseCriterion.py,
	  types/criteria/ATDateCriteria.py,
	  types/criteria/ATListCriterion.py,
	  types/criteria/ATSimpleIntCriterion.py,
	  types/criteria/ATSimpleStringCriterion.py,
	  types/criteria/ATSortCriterion.py, types/criteria/__init__.py:
	  Initial revision

2004-03-08 11:48  tiran

	* .cvsignore, ATContentTypes.py, Permissions.py, README.txt,
	  Validators.py, __init__.py, __pkginfo__.py, config.py,
	  refresh.txt, version.txt, Extensions/Install.py,
	  Extensions/__init__.py, Extensions/migrateFromCMF.py,
	  docs/AUTHORS.txt, docs/HISTORY.txt, docs/INSTALL.txt,
	  docs/LICENSE.GPL, docs/LICENSE.ZPL, docs/LICENSE.txt,
	  docs/README.txt, docs/TODO.txt, migration/ATCTMigrator.py,
	  migration/Migrator.py, migration/Walker.py,
	  migration/__init__.py, migration/common.py,
	  skins/ATContentTypes/atct_edit.cpt,
	  skins/ATContentTypes/atct_edit.cpt.metadata,
	  skins/ATContentTypes/criterion_add.cpy,
	  skins/ATContentTypes/criterion_add.cpy.metadata,
	  skins/ATContentTypes/criterion_edit_form.cpt,
	  skins/ATContentTypes/criterion_edit_form.cpt.metadata,
	  skins/ATContentTypes/criterion_macros.pt,
	  skins/ATContentTypes/criterion_remove.cpy,
	  skins/ATContentTypes/criterion_remove.cpy.metadata,
	  skins/ATContentTypes/criterion_save.cpy,
	  skins/ATContentTypes/criterion_save.cpy.metadata,
	  tests/.cvsignore, tests/ATCTSiteTestCase.py,
	  tests/ATCTTestCase.py, tests/__init__.py, tests/common.py,
	  tests/framework.py, tests/runalltests.py,
	  tests/runtests.sh.example, tests/testATDocument.py,
	  tests/testATEvent.py, tests/testATFavorite.py,
	  tests/testATFile.py, tests/testATFolder.py, tests/testATImage.py,
	  tests/testATLink.py, tests/testATNewsItem.py,
	  tests/testSkeletonTest.py, types/.cvsignore, types/ATDocument.py,
	  types/ATEvent.py, types/ATFavorite.py, types/ATFile.py,
	  types/ATFolder.py, types/ATImage.py, types/ATLink.py,
	  types/ATNewsItem.py, types/ATTopic.py, types/__init__.py,
	  types/schemata.py, types/criteria/ATBaseCriterion.py,
	  types/criteria/ATDateCriteria.py,
	  types/criteria/ATListCriterion.py,
	  types/criteria/ATSimpleIntCriterion.py,
	  types/criteria/ATSimpleStringCriterion.py,
	  types/criteria/ATSortCriterion.py, types/criteria/__init__.py:
	  initial import of at conent types

